commit be8f776863c9bad5aee06881f0ed418009d77674
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 4 18:45:30 2008 +0200

    Prepare 2.23.6.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d59c356c977373da227a8d07b0f8e78343aaea15
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Aug 4 16:44:58 2008 +0000

    Doc update.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1840 64437878-e825-0410-a939-de567e363a10

 .../tmpl/gucharmap-block-codepoint-list.sgml       |   10 ++++++++++
 docs/reference/tmpl/gucharmap-charmap.sgml         |   20 ++++++++++++++++++++
 2 files changed, 30 insertions(+), 0 deletions(-)

commit da7f14edcd2d3b406b5f9a0fe52bc64a228f47c3
Author: djihed <djihed@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Jul 29 01:33:36 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1839 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++
 po/ar.po     |  151 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 80 insertions(+), 75 deletions(-)

commit 8577924a80a0a81996227b7376d70278e601a37c
Author: plaes <plaes@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Jul 22 15:49:02 2008 +0000

    2008-07-22  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1838 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/et.po     |   34 +++++++++++++++++-----------------
 2 files changed, 21 insertions(+), 17 deletions(-)

commit e588d2e874e47f57a1a06c3ef047e68231369dfa
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Jul 21 20:26:12 2008 +0000

    Also remove the stamp file on make clean.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1837 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bc95c8c19bfbc5ad5e131700dfb1658128582080
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Jul 21 20:26:08 2008 +0000

    Add properties for start/end and make the _new function trivial.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1836 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-block-codepoint-list.c |  132 ++++++++++++++++++++++++----
 1 files changed, 113 insertions(+), 19 deletions(-)

commit fcf13090cf0700388eee439703a88c4065c25147
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Jul 18 10:24:38 2008 +0000

    Add orientation property to GucharmapCharmap.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1835 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |   95 +++++++++++++++++++++++++++++++++++++++-
 gucharmap/gucharmap-charmap.h |    8 +++-
 2 files changed, 98 insertions(+), 5 deletions(-)

commit 2d9262084e12a9b8d07ee5c91e29cfcb7ff0dfd5
Author: laurenti <laurenti@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Jul 15 16:44:09 2008 +0000

    Updated Translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1834 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/sq.po     |  285 ++++++++++++++++++++++++++++++++++++---------------------
 2 files changed, 184 insertions(+), 105 deletions(-)

commit b18fa8ff37eb3b3b9650f4865aeacdd1097cecfd
Author: jaredm <jaredm@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Jul 8 20:14:41 2008 +0000

    When opening the find dialog, give keyboard focus to the text entry. Fixes bug 513901.
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1832 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-search-dialog.c |    7 +++++++
 gucharmap/gucharmap-search-dialog.h |    1 +
 gucharmap/gucharmap-window.c        |    2 +-
 3 files changed, 9 insertions(+), 1 deletions(-)

commit f30ed2ac2a9b9f30fc73e4f827f8e7f33ca7a606
Author: pclouds <pclouds@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Jul 3 13:58:57 2008 +0000

    vi.po: fix one translation line
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1831 64437878-e825-0410-a939-de567e363a10

 po/vi.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dabced9da2f12e6fe92dacd516a9913bc6b3ba39
Author: ymarcheg <ymarcheg@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Jul 3 07:47:57 2008 +0000

    Updated Occitan translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1830 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 245316b10e288e39d6829e09f5d37af69fb090ac
Author: ymarcheg <ymarcheg@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Jul 3 07:47:37 2008 +0000

    Updated Occitan translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1829 64437878-e825-0410-a939-de567e363a10

 po/oc.po |  675 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 368 insertions(+), 307 deletions(-)

commit 0ef7405420d80db05d6a60badc93b5b5b1adc803
Author: gforcada <gforcada@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 29 19:35:32 2008 +0000

    Added ca to DOC_LINGUAS
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1826 64437878-e825-0410-a939-de567e363a10

 help/ChangeLog   |    4 ++++
 help/Makefile.am |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 736ad326c73fbc3151419baf2e5d832eaedd9163
Author: gforcada <gforcada@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 29 19:22:17 2008 +0000

    Added Catalan documentation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1825 64437878-e825-0410-a939-de567e363a10

 help/ChangeLog                      |    5 +
 help/ca/ca.po                       |  544 +++++++++++++++++++++++++++
 help/ca/figues/gucharmap_window.png |  Bin 0 -> 44878 bytes
 po/ChangeLog                        |    4 +
 po/ca.po                            |  696 +++++++++++++++++++----------------
 5 files changed, 940 insertions(+), 309 deletions(-)

commit b98bb86e73e651807ac7b583b8b04879923efa5f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Jun 16 21:17:15 2008 +0000

    Explain ChangeLog policy.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1824 64437878-e825-0410-a939-de567e363a10

 ChangeLog.README |   16 ++++++++++++++++
 Makefile.am      |    1 +
 2 files changed, 17 insertions(+), 0 deletions(-)

commit 556409cda699d1e9301d399c25e51707e87c0e01
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Jun 16 14:04:34 2008 +0000

    Bug 349664 – Add padding to Copy button
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1822 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit a6fd4ca66531b6a760a33209d27dd2952f1b4bab
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:36:37 2008 +0000

    Renegerate the bindings.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1821 64437878-e825-0410-a939-de567e363a10

 bindings/python/gucharmap.defs |  120 ++++++++++++++++++++++++++++++++++++++--
 1 files changed, 115 insertions(+), 5 deletions(-)

commit f62c5b36d08ef8c1ee5c60e34168abb55222c00b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:36:32 2008 +0000

    Autogenerated ChangeLog from git or svn revision history.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1820 64437878-e825-0410-a939-de567e363a10

 ChangeLog          | 2596 ----------------------------------------------------
 ChangeLog.pre-2-23 | 2596 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am        |   19 +
 configure.ac       |    7 +
 svn2cl.xsl         |  295 ++++++
 5 files changed, 2917 insertions(+), 2596 deletions(-)

commit 5d9d601ab2efc1404418d764c98eef06041b2cbb
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:36:28 2008 +0000

    Prepare 2.23.4.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1819 64437878-e825-0410-a939-de567e363a10

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d42436371f058beb9b90bd13ebdb80f1ccb04970
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:36:24 2008 +0000

    Update NEWS.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1818 64437878-e825-0410-a939-de567e363a10

 NEWS |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 125e26573bf6fba8b47502e7299a7efff9174d6a
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:36:19 2008 +0000

    Don't paste an invalid character.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1817 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6b2d5656b3dce8bad9c99eb98f418f98cb2b1671
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:36:14 2008 +0000

    Use intltool 0.40.0.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1816 64437878-e825-0410-a939-de567e363a10

 autogen.sh   |    2 +-
 configure.ac |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 57bb9e48ea64b64f84d8027d1957a0b0778670ca
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:36:08 2008 +0000

    Add gucharmap_charmap_{next,previous}_chapter.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1815 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am         |    2 ++
 gucharmap/gucharmap-charmap.c |   16 ++++++++++++++++
 gucharmap/gucharmap-charmap.h |    3 +++
 gucharmap/gucharmap-window.c  |    4 ++--
 4 files changed, 23 insertions(+), 2 deletions(-)

commit 9029fda9352d42975e63803ce3ebaea6731a2c32
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:36:03 2008 +0000

    Also put the required intltool version in autogen.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1814 64437878-e825-0410-a939-de567e363a10

 autogen.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6b3379a3dc40f656d6729022226be8e3ad87f8db
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:35:58 2008 +0000

    Only include gtk/gtk.h.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1813 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chapters-model.h       |    2 +-
 gucharmap/gucharmap-chapters-view.h        |    2 +-
 gucharmap/gucharmap-chartable-accessible.h |    2 +-
 gucharmap/gucharmap-chartable.h            |    2 +-
 gucharmap/gucharmap-print-operation.h      |    2 +-
 gucharmap/gucharmap-settings.h             |    2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit e4f576105152f77929fc5c5d5ff04b74d5fb3dd8
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:35:53 2008 +0000

    Version 2.23.3.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1812 64437878-e825-0410-a939-de567e363a10

 configure.ac |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 98574c9b3513f0e61a70b26423e51de3be514096
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:35:43 2008 +0000

    Build with *_DISABLE_SINGLE_INCLUDES.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1811 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                |   28 +++++++++++++++++++---------
 gucharmap/gen-guch-unicode-tables.pl |   14 +++++++-------
 gucharmap/unicode-blocks.h           |    2 +-
 gucharmap/unicode-categories.h       |    2 +-
 gucharmap/unicode-names.h            |    2 +-
 gucharmap/unicode-nameslist.h        |    2 +-
 gucharmap/unicode-scripts.h          |    2 +-
 gucharmap/unicode-unihan.h           |    2 +-
 gucharmap/unicode-versions.h         |    2 +-
 9 files changed, 33 insertions(+), 23 deletions(-)

commit af874d0594095bd97fab0122d9432f7a1bd38d9f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:35:10 2008 +0000

    Add more API to the charmap so I can remove more callers of gucharmap_charmap_get_chartable.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1810 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am           |    2 +-
 gucharmap/gucharmap-charmap.c   |   94 +++++++++++++++++++++++++++++++++++++++
 gucharmap/gucharmap-charmap.h   |    6 +++
 gucharmap/gucharmap-chartable.c |   15 ++++++
 gucharmap/gucharmap-chartable.h |    1 +
 gucharmap/gucharmap-window.c    |    9 ++--
 6 files changed, 121 insertions(+), 6 deletions(-)

commit c63b3702b6e599a80c7e6a4b96293c6aeca3699c
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:35:05 2008 +0000

    Don't use gucharmap_charmap_get_chartable.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1809 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-search-dialog.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4108e2a24def9e90cfbe7ccc622a5d1177a83838
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:35:00 2008 +0000

    Add functions for getting/setting the active page and hiding/showing the pages.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1808 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |  131 +++++++++++++++++++++++++++++++++-------
 gucharmap/gucharmap-charmap.h |   27 ++++++++-
 2 files changed, 133 insertions(+), 25 deletions(-)

commit 0b53293ba9e3bac0a2a6b4ad32f7e9e1eedb7fd2
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:34:55 2008 +0000

    Fix distcheck with intltool svn.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1807 64437878-e825-0410-a939-de567e363a10

 Makefile.am  |   23 ++++++++++-------------
 configure.ac |    2 +-
 2 files changed, 11 insertions(+), 14 deletions(-)

commit 902636f020c8ebc14a37e82072e86a9483ae94ef
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:34:49 2008 +0000

    Keep the namespace clean.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1806 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chapters-model.c        |    2 +-
 gucharmap/gucharmap-chapters-model.h        |    4 ++--
 gucharmap/gucharmap-chapters-view.c         |    4 ++--
 gucharmap/gucharmap-script-chapters-model.c |   11 ++++++-----
 4 files changed, 11 insertions(+), 10 deletions(-)

commit c29ea81118bb1554e017136ea181953741dc3f61
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:34:44 2008 +0000

    Make sure all public object types have a Priv pointer.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1805 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-block-chapters-model.h  |    4 ++++
 gucharmap/gucharmap-chapters-model.h        |    2 +-
 gucharmap/gucharmap-codepoint-list.h        |    8 ++++++--
 gucharmap/gucharmap-script-chapters-model.h |    4 ++++
 4 files changed, 15 insertions(+), 3 deletions(-)

commit d362323cf109ee0193887e0044af8db9ab8ba563
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:34:39 2008 +0000

    Regenerate the python bindings, and fix a compile warning.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1804 64437878-e825-0410-a939-de567e363a10

 bindings/python/gucharmap.defs |   22 ++--------------------
 1 files changed, 2 insertions(+), 20 deletions(-)

commit e6966079947a849c798bf0960914d13937df0324
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:34:34 2008 +0000

    Return a reference to the book codepoint list, not const.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1803 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-block-chapters-model.c  |    4 ++--
 gucharmap/gucharmap-chapters-model.c        |    6 +++---
 gucharmap/gucharmap-chapters-model.h        |   22 +++++++++++-----------
 gucharmap/gucharmap-chapters-view.c         |    6 +++---
 gucharmap/gucharmap-chapters-view.h         |    4 ++--
 gucharmap/gucharmap-charmap.c               |    4 +---
 gucharmap/gucharmap-script-chapters-model.c |    5 ++---
 gucharmap/gucharmap-search-dialog.c         |    9 +++++----
 8 files changed, 29 insertions(+), 31 deletions(-)

commit 4f91d7c39a0bc2c043713afdd9f9f2eeb85253c9
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:34:28 2008 +0000

    Use foreign here.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1802 64437878-e825-0410-a939-de567e363a10

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ec767875113081994b31286a75e2e4da72772213
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:34:21 2008 +0000

    Remove useless comment.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1801 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-marshal.list |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 9ffcdc21d5010c644141a889543e931caf3d2489
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 21:33:56 2008 +0000

    Update unicode copyright notice. Bug #527231.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1800 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7bc33b8134c49b6bad2ad28dff695fbd00c187cf
Author: nshmyrev <nshmyrev@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 15 08:19:37 2008 +0000

    2008-06-15  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>
    
    	* ru.po: Updated Russian translation.
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1799 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/ru.po     |  704 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 380 insertions(+), 328 deletions(-)

commit 09726b3328258fa013cb385f1064af10bf1fc07d
Author: djihed <djihed@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Jun 11 21:40:05 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1798 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +++
 po/ar.po     |   65 +++++++++++++++++-----------------------------------------
 2 files changed, 23 insertions(+), 46 deletions(-)

commit c443b8e04eba80b0917868cb0bc820b73ff4ad02
Author: lferrett <lferrett@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Jun 10 12:23:05 2008 +0000

    2008-06-10  Luca Ferretti  <elle.uca@libero.it>
    
    	* it.po: Import updated translation from 2.22 branch
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1797 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/it.po     |   41 +++++++++++++++--------------------------
 2 files changed, 19 insertions(+), 26 deletions(-)

commit e06fa230a4d4244dc975295326bbecf5b1d4662e
Author: clyties <clyties@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 1 13:31:40 2008 +0000

    Updated Vietnamese translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1795 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/vi.po     |  827 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 450 insertions(+), 381 deletions(-)

commit 6ac7e71600086c78a6255ed9c16e656f47fc739b
Author: kelemeng <kelemeng@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jun 1 10:37:27 2008 +0000

    2008-06-01  Gabor Kelemen  <kelemeng@gnome.hu>
    
    	* hu.po: Translation updated by Máté Őry.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1794 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/hu.po     |  716 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 387 insertions(+), 333 deletions(-)

commit 177808bc8e9717693510da39fb8cd2806c0eefaa
Author: plaes <plaes@64437878-e825-0410-a939-de567e363a10>
Date:   Wed May 28 05:49:56 2008 +0000

    2008-05-28  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1793 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/et.po     |  705 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 381 insertions(+), 328 deletions(-)

commit 2c56897e27f396177278d278c02f638e07c89e96
Author: djihed <djihed@64437878-e825-0410-a939-de567e363a10>
Date:   Thu May 22 22:59:05 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1792 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit ed0b3abcd486f53332405f5370672442afb0af12
Author: djihed <djihed@64437878-e825-0410-a939-de567e363a10>
Date:   Mon May 19 01:13:14 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1791 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/ar.po     |  809 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 432 insertions(+), 381 deletions(-)

commit fbb8f9a8bd058043161398cda12c5773f7737a06
Author: gintas <gintas@64437878-e825-0410-a939-de567e363a10>
Date:   Sat May 17 18:01:21 2008 +0000

    2008-05-17  Gintautas Miliauskas  <gintas@akl.lt>
    
    	* lt.po: Updated Lithuanian translation.
    
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1790 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/lt.po     |  697 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 386 insertions(+), 315 deletions(-)

commit e5fd4377057d8c71eb02f9e3008d6e033eb3f73f
Author: adrighem <adrighem@64437878-e825-0410-a939-de567e363a10>
Date:   Thu May 8 15:13:41 2008 +0000

    2008-05-08  Vincent van Adrighem  <adrighem@gnome.org>
    
    	* nl.po: Translation updated by Tino Meinen.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1789 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/nl.po     |  710 +++++++++++++++++++++++++++++++--------------------------
 2 files changed, 390 insertions(+), 324 deletions(-)

commit 021d7274c515a2a4d7c43ecfbfe3ae1aad2b6d2e
Author: kmaraas <kmaraas@64437878-e825-0410-a939-de567e363a10>
Date:   Tue May 6 17:37:43 2008 +0000

    2008-05-06  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* nb.po: Updated Norwegian bokmål translation.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1788 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/nb.po     |  680 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 370 insertions(+), 314 deletions(-)

commit cacf2d8f9a46e7cf66e0546ca02d68cf9637f4e3
Author: icq <icq@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Apr 29 12:00:52 2008 +0000

    Updated Galician Translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1787 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/gl.po     |  692 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 384 insertions(+), 312 deletions(-)

commit 844f975ff51ce17e8f15fa7e9b9c6c959993a1ed
Author: yairhr <yairhr@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Apr 26 12:33:08 2008 +0000

    updated hebrew translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1786 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/he.po     |  695 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 387 insertions(+), 312 deletions(-)

commit c52985a0059f6ee201ac0fa85904e06e553881d1
Author: tkaroonb <tkaroonb@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Apr 24 04:27:33 2008 +0000

    2008-04-24  Theppitak Karoonboonyanan  <thep@linux.thai.net>
    
    	* th.po: Updated Thai translation (merged from gnome-2-22 branch, plus
    	additional updates).
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1785 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    5 +
 po/th.po     |  815 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 450 insertions(+), 370 deletions(-)

commit 648b860514ae0283f0e482748c3cdc947c7cf543
Author: mateju <mateju@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Apr 13 16:10:36 2008 +0000

    Updated Slovenian translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1783 64437878-e825-0410-a939-de567e363a10

 po/sl.po |  787 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 422 insertions(+), 365 deletions(-)

commit be71cb94223d66640f745f995af7df8dd427d50d
Author: jorgegonz <jorgegonz@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Apr 10 22:34:24 2008 +0000

    Updated Spanish translation
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1782 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/es.po     |  621 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 338 insertions(+), 287 deletions(-)

commit a920d43e12b4104ac753ff9e6ff2a0e8b2e4c870
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Apr 9 21:58:38 2008 +0000

    Set the "Snap to power of 2" action only after constructing all the widgets. Fixes crash bug #527235.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1781 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit faeaadfdb565b1280f65595b25d3ea64da220095
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Apr 8 11:39:53 2008 +0000

    Update glib req to 2.16.3 for unicode 5.1.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1780 64437878-e825-0410-a939-de567e363a10

 configure.ac                         |    3 ++-
 gucharmap/gen-guch-unicode-tables.pl |    1 +
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 3585e704611998327025d04b92b19a8c66036c64
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Apr 8 11:39:43 2008 +0000

    Doc update.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1779 64437878-e825-0410-a939-de567e363a10

 docs/reference/tmpl/gucharmap-chapters-model.sgml |    8 --------
 docs/reference/tmpl/gucharmap-unused.sgml         |    8 ++++++++
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 5a460cd846745c733a686789acfb820c94495b0c
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Apr 8 11:39:01 2008 +0000

    Update to unicode 5.1.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1778 64437878-e825-0410-a939-de567e363a10

 gucharmap/unicode-blocks.h     |  259 +-
 gucharmap/unicode-categories.h |  417 +-
 gucharmap/unicode-names.h      |38076 +++++++++++++++-------------
 gucharmap/unicode-nameslist.h  |22402 +++++++++--------
 gucharmap/unicode-scripts.h    | 2491 +-
 gucharmap/unicode-unihan.h     |55150 ++++++++++++++++++++--------------------
 gucharmap/unicode-versions.h   |   93 +-
 7 files changed, 61826 insertions(+), 57062 deletions(-)

commit 31951ac481633de2d0dd279f2c56ea5104f0a629
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Apr 8 11:38:15 2008 +0000

    Doc fix.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1777 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chapters-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 07b4a69b8e9cbba38d8d50d01f050d3d601d98f6
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Apr 8 11:38:04 2008 +0000

    Remove GucharmapChaptersType from the public API.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1776 64437878-e825-0410-a939-de567e363a10

 bindings/python/gucharmap.defs       |   10 ----------
 gucharmap/gucharmap-chapters-model.h |    6 ------
 gucharmap/gucharmap-settings.h       |    6 ++++++
 3 files changed, 6 insertions(+), 16 deletions(-)

commit 4126cb8c9a14edcbdf7af1f263a457da16885f20
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Apr 3 12:16:30 2008 +0000

    Also fix N'Ko name in the unicode blocks. Bug #503377.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1772 64437878-e825-0410-a939-de567e363a10

 gucharmap/gen-guch-unicode-tables.pl |   17 ++-
 gucharmap/unicode-blocks.h           |  278 +++++++++++++++++-----------------
 2 files changed, 154 insertions(+), 141 deletions(-)

commit a2310e7ce37cd26920ee698edf6f0fa1ac8cf654
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 21:29:57 2008 +0000

    Use accessories-character-map icon. Bug #331670.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1771 64437878-e825-0410-a939-de567e363a10

 gucharmap.desktop.in.in      |    2 +-
 gucharmap/gucharmap-window.h |    2 +-
 pixmaps/Makefile.am          |   21 +--------------------
 pixmaps/gucharmap.png        |  Bin 2433 -> 0 bytes
 4 files changed, 3 insertions(+), 22 deletions(-)

commit 827206efea81527874002647b72c29cc91e5301b
Author: eskildh <eskildh@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 18:23:55 2008 +0000

    Translator credits for Norwegian Nynorsk
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1770 64437878-e825-0410-a939-de567e363a10

 po/nn.po |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 74b68979f793d8e3a977c915157ba2bf9b73f842
Author: eskildh <eskildh@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 18:21:17 2008 +0000

    Updated Norwegian Nynorsk translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1768 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/nn.po     |  956 ++++++++++++++++++++++++++++++++++++----------------------
 2 files changed, 595 insertions(+), 365 deletions(-)

commit 5ca6ad80e25f40891cf064fbd232be6e1483a267
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 12:18:17 2008 +0000

    Update.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1767 64437878-e825-0410-a939-de567e363a10

 docs/reference/tmpl/gucharmap-charmap.sgml   |   14 +++++---------
 docs/reference/tmpl/gucharmap-chartable.sgml |    9 ---------
 docs/reference/tmpl/gucharmap-unused.sgml    |   16 ++++++++++++++++
 3 files changed, 21 insertions(+), 18 deletions(-)

commit 2b334c503be5fed3a67f3e5e6580cf994319f61a
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 12:18:07 2008 +0000

    Don't focus the font selector combo and buttons on click.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1766 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-mini-fontsel.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit c1f6bfe8a18eff33bf848cce89346a6e7ac231e6
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:45:09 2008 +0000

    Use get_font_size here.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1765 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-mini-fontsel.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit c26d6ee241d8179e5836c2e200c44c7467037ae6
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:45:00 2008 +0000

    Plug a mem leak.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1764 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-settings.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 1117ecf37af06a6987f48fc33494e3ad8a2852ee
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:44:50 2008 +0000

    Fix repeating search by not making the buttons insensitive but just ignoring further clicks while the search is in progress. Works around gtk+ bug #56070. Bug #513895, patch by Ted Percival.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1763 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-search-dialog.c |   14 ++++++--------
 1 files changed, 6 insertions(+), 8 deletions(-)

commit cd7e6ad36cb43f6ac5eda24d9fe40738e1e6e0b4
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:44:40 2008 +0000

    Simply use GtkMessageDialog here.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1762 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-search-dialog.c |   44 ++++++++--------------------------
 1 files changed, 11 insertions(+), 33 deletions(-)

commit d0c100b2965c4d207a001f997b7b9b84d541ac72
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:44:31 2008 +0000

    Recalculate the first_cell on size-allocate. Bug #517188, patch by Jared Moore.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1761 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)

commit 2720832358aa4b17e50a3ef8ea0b97ebe1fe7b7a
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:44:21 2008 +0000

    Fix Copy button sensitivity change on entry text change.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1760 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 174eebd958794a82ac3edd8ce9d5b579c96ef564
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:44:11 2008 +0000

    Add shortcuts to ZoomIn/Out/100.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1759 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 9b7516ddd833da0c85a3787712418357f726d4c8
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:44:01 2008 +0000

    Make GucharmapMiniFontself use only PangoFontDescription instead of separate size and family.
    Move the initial font setting code to GucharmapWindow.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1758 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c      |   20 ++-
 gucharmap/gucharmap-charmap.h      |    2 +-
 gucharmap/gucharmap-chartable.c    |    4 +-
 gucharmap/gucharmap-mini-fontsel.c |  260 ++++++++++++++++++++++--------------
 gucharmap/gucharmap-mini-fontsel.h |   31 ++---
 gucharmap/gucharmap-window.c       |   93 +++++++++----
 gucharmap/gucharmap-window.h       |    9 +-
 gucharmap/main.c                   |   56 ++------
 8 files changed, 276 insertions(+), 199 deletions(-)

commit b930ec56ffb95be82ecfc230b502a491192d9fc5
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:43:50 2008 +0000

    Return NULL for empty font string.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1757 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-settings.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 7c5836929416ac48e100fc7ea54c7220cbc24f91
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:43:39 2008 +0000

    Use gucharmap_chartable_set_font_desc_internal when creating the font_desc on style-set. Fixes incorrect layout in this case.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1756 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit a1c2b764e4e0b8dd1d75bf50294850a35b9e3615
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:43:26 2008 +0000

    Chain the charmap's font-desc property to the charmap's chartable's.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1755 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |   26 +++++++++++++++++++++++---
 1 files changed, 23 insertions(+), 3 deletions(-)

commit 376af16739d9c79e8e3860bd9b5f8286eeddac9b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:43:16 2008 +0000

    Add gucharmap_chartable_get_font_desc(). Remove gucharmap_chartable_set_font().
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1754 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   46 +++++++++++++-------------------------
 gucharmap/gucharmap-chartable.h |    5 +--
 2 files changed, 18 insertions(+), 33 deletions(-)

commit aec3f3aa87ad2db34c40bae8a088fe3d0287c0b3
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:43:06 2008 +0000

    Add gucharmap_charmap_get_font_desc(), and remove gucharmap_charmap_set_font().
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1753 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |   47 ++++++++++++++---------------------------
 gucharmap/gucharmap-charmap.h |    5 +--
 2 files changed, 18 insertions(+), 34 deletions(-)

commit 21a9ed8d12a37c8ae8f929645f29db1a1ab22400
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:42:56 2008 +0000

    Add font-desc property to GucharmapCharmap.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1752 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit b1d6566e411bcf92ee63cb70fed48da177bfa363
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:42:45 2008 +0000

    Notify the font-desc property when it has changed.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1751 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit f51f3cc4d8be58d46e71a6f9539839667e5d4419
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 31 11:42:34 2008 +0000

    Fix font setting persistence. Bug #523994, patch by Jared Moore.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1750 64437878-e825-0410-a939-de567e363a10

 gucharmap/main.c |   48 +++++++++++++++++++++++++++++++-----------------
 1 files changed, 31 insertions(+), 17 deletions(-)

commit 6d1976daa40b95fac0633308e4764165f411ebcc
Author: jorgegonz <jorgegonz@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 30 09:16:53 2008 +0000

    Updated Spanish translation
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1749 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/es.po     |  608 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 309 insertions(+), 303 deletions(-)

commit c444a24aa244d640e35c9a37dd5b9089056e59e2
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 23 17:48:35 2008 +0000

    Update.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1747 64437878-e825-0410-a939-de567e363a10

 .gitignore |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 5bcaba75889640c184dae45c23a41cb297536ce3
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 23 17:44:30 2008 +0000

    Add python.m4.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1746 64437878-e825-0410-a939-de567e363a10

 m4/python.m4 |   62 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 62 insertions(+), 0 deletions(-)

commit 0106d118f2270106a6aebffee84a83c50a18f64c
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 23 13:01:53 2008 +0000

    Make --font work again. Bug #506752, based on a patch by Jared Moore.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1745 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-mini-fontsel.c |   12 +++++++-
 gucharmap/main.c                   |   48 ++++++++++++++++++------------------
 2 files changed, 34 insertions(+), 26 deletions(-)

commit 862431b6465d93bcad122e645a6adb0f8b3a32a3
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 12:28:51 2008 +0000

    Updated bindings.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1743 64437878-e825-0410-a939-de567e363a10

 bindings/python/gucharmap.defs |   50 ++++++++++++++++++++++++----------------
 1 files changed, 30 insertions(+), 20 deletions(-)

commit 69217ebcc95ce6ce0ad17175aeb8e0a96aba81da
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 12:28:41 2008 +0000

    List all headers, and move gucharmap.h to the builddir headers.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1742 64437878-e825-0410-a939-de567e363a10

 bindings/python/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit c712c9e5772235ce83b34c1a94f7605885fe19f9
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 12:07:56 2008 +0000

    Update.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1741 64437878-e825-0410-a939-de567e363a10

 .gitignore |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit db776c9f8b7688fa26a96e4372c863f7e9e58b5c
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:57:22 2008 +0000

    Install gucharmap-block-codepoint-list.h too.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1740 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5a58238b752b77a2e87750f5f8f6c15d1d7c3678
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:46:27 2008 +0000

    Update.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1739 64437878-e825-0410-a939-de567e363a10

 .../tmpl/gucharmap-block-codepoint-list.sgml       |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit f71020146b44a92a6a8021f655e9819140778917
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:46:18 2008 +0000

    Enable gtk-doc for distcheck.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1738 64437878-e825-0410-a939-de567e363a10

 Makefile.am |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit f03e79f1b5e0742cb21641eac06e50675c1a10f4
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:46:09 2008 +0000

    Dist gucharmap-type-builtins.*.template.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1737 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ab4f00f0c532c2a8671237cb2dbde9df94d6b262
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:46:00 2008 +0000

    Fix make dist.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1736 64437878-e825-0410-a939-de567e363a10

 docs/reference/Makefile.am |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit ad19f4471c3826b8dc61c56cd3f05500ad6ca3b5
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:45:51 2008 +0000

    Don't install the schemas on distcheck.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1735 64437878-e825-0410-a939-de567e363a10

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7b8497f197866adef80ada2638c3cdec2c3291c2
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:35:25 2008 +0000

    Look for gucharmap.h.in, not gucharmap.h.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1734 64437878-e825-0410-a939-de567e363a10

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fa27a4fe13fcdb1c61c0df6e99c75ed7d681f9e8
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:04:02 2008 +0000

    Remove unused function.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1733 64437878-e825-0410-a939-de567e363a10

 docs/reference/tmpl/gucharmap-chartable.sgml |    9 ---------
 gucharmap/gucharmap-chartable.c              |   14 --------------
 gucharmap/gucharmap-chartable.h              |    1 -
 3 files changed, 0 insertions(+), 24 deletions(-)

commit 9e685fa75939a86dc54d19cd5b59107bb150c6f6
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:03:52 2008 +0000

    Make GucharmapCodepointList abstract, and move the block codepoint list to GucharmapBlockCodepointList.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1732 64437878-e825-0410-a939-de567e363a10

 docs/reference/gucharmap-sections.txt              |   26 +++--
 docs/reference/gucharmap.types                     |    1 +
 .../tmpl/gucharmap-block-codepoint-list.sgml       |   43 +++++++
 docs/reference/tmpl/gucharmap-codepoint-list.sgml  |   10 --
 .../tmpl/gucharmap-script-codepoint-list.sgml      |    6 +
 docs/reference/tmpl/gucharmap-unused.sgml          |   60 ++++++++++
 docs/reference/tmpl/gucharmap.sgml                 |   31 -----
 gucharmap/Makefile.am                              |    8 +-
 gucharmap/gucharmap-block-chapters-model.c         |    6 +-
 gucharmap/gucharmap-block-codepoint-list.c         |  116 ++++++++++++++++++++
 gucharmap/gucharmap-block-codepoint-list.h         |   64 +++++++++++
 gucharmap/gucharmap-chapters-model.c               |    2 +-
 gucharmap/gucharmap-codepoint-list.c               |   81 +--------------
 gucharmap/gucharmap-codepoint-list.h               |   10 +-
 gucharmap/gucharmap-script-codepoint-list.h        |    1 -
 gucharmap/gucharmap.h.in                           |   15 ++-
 16 files changed, 331 insertions(+), 149 deletions(-)

commit 318a82460457747a76aefb77c02e496ede1fdc49
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:03:42 2008 +0000

    Add priv pointer to the struct.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1731 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-script-codepoint-list.c |   30 +++++++++-----------------
 gucharmap/gucharmap-script-codepoint-list.h |    8 +++++-
 2 files changed, 17 insertions(+), 21 deletions(-)

commit 4e92e07363f0cee1f71ba2d59ce80b095da3bf24
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:03:31 2008 +0000

    Update.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1730 64437878-e825-0410-a939-de567e363a10

 .../tmpl/gucharmap-block-chapters-model.sgml       |    2 --
 docs/reference/tmpl/gucharmap-chapters-model.sgml  |    2 --
 docs/reference/tmpl/gucharmap-chapters-view.sgml   |    2 --
 docs/reference/tmpl/gucharmap-charmap.sgml         |    2 --
 docs/reference/tmpl/gucharmap-chartable.sgml       |    2 --
 docs/reference/tmpl/gucharmap-codepoint-list.sgml  |    2 --
 .../tmpl/gucharmap-script-chapters-model.sgml      |    2 --
 .../tmpl/gucharmap-script-codepoint-list.sgml      |    2 --
 docs/reference/tmpl/gucharmap-unicode-info.sgml    |    2 --
 docs/reference/tmpl/gucharmap.sgml                 |    2 --
 10 files changed, 0 insertions(+), 20 deletions(-)

commit abe37cfcd124620fb7b5301b22b1fbf5020e9b9d
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:03:21 2008 +0000

    Add API doc support.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1729 64437878-e825-0410-a939-de567e363a10

 Makefile.am                                        |    2 +-
 configure.ac                                       |   18 +-
 docs/Makefile.am                                   |    5 +
 docs/reference/Makefile.am                         |  113 ++++++++
 docs/reference/gucharmap-docs.sgml                 |   27 ++
 docs/reference/gucharmap-sections.txt              |  206 +++++++++++++++
 docs/reference/gucharmap.types                     |   11 +
 .../tmpl/gucharmap-block-chapters-model.sgml       |   35 +++
 docs/reference/tmpl/gucharmap-chapters-model.sgml  |   91 +++++++
 docs/reference/tmpl/gucharmap-chapters-view.sgml   |  131 +++++++++
 docs/reference/tmpl/gucharmap-charmap.sgml         |  172 ++++++++++++
 docs/reference/tmpl/gucharmap-chartable.sgml       |  209 +++++++++++++++
 docs/reference/tmpl/gucharmap-codepoint-list.sgml  |   66 +++++
 .../tmpl/gucharmap-script-chapters-model.sgml      |   35 +++
 .../tmpl/gucharmap-script-codepoint-list.sgml      |   65 +++++
 docs/reference/tmpl/gucharmap-unicode-info.sgml    |  279 ++++++++++++++++++++
 docs/reference/tmpl/gucharmap.sgml                 |   52 ++++
 17 files changed, 1511 insertions(+), 6 deletions(-)

commit 6b2b6a2ea689383123b24f276e5771ddae52ae42
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:03:12 2008 +0000

    To do.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1728 64437878-e825-0410-a939-de567e363a10

 TODO |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 0e3939d89699f6842e16e185681c9128ee6d9acf
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:03:01 2008 +0000

    Remove this. It's misleadingly suggesting the lib is under LGPL which it is not (see #413739). The only files licensed under LGPL are the accessible implementation (and they're clearly marked so in their headers); everything else is pure GPL.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1727 64437878-e825-0410-a939-de567e363a10

 COPYING.LIB |  504 -----------------------------------------------------------
 1 files changed, 0 insertions(+), 504 deletions(-)

commit ba225301aaa0fbdcc9a9fee7c43703941e153096
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:02:53 2008 +0000

    Remove debug spew.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1726 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 3b81c1378e8f1ae2f9bf85d905b19a1f8808d94b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:02:43 2008 +0000

    Python bindings.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1725 64437878-e825-0410-a939-de567e363a10

 Makefile.am                        |   23 +-
 bindings/Makefile.am               |    5 +
 bindings/python/Makefile.am        |   85 ++++
 bindings/python/gucharmap.defs     |  753 ++++++++++++++++++++++++++++++++++++
 bindings/python/gucharmap.override |   26 ++
 configure.ac                       |  131 ++++++-
 6 files changed, 987 insertions(+), 36 deletions(-)

commit 85cae13b5c108fe3198911f20dd4a53506006b35
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:02:34 2008 +0000

    Fix the template.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1724 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-type-builtins.h.template |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 278e6ce5bce3422ca7e94230386d423173257f00
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:02:22 2008 +0000

    Fix gucharmap.h.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1723 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap.h    |   46 ----------------------------------------------
 gucharmap/gucharmap.h.in |    3 +--
 2 files changed, 1 insertions(+), 48 deletions(-)

commit af449642e68bac97638eb36be49f22f8cc800e65
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:02:13 2008 +0000

    No need to add pango flags separately.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1722 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 4b66e35c85334008e839a17cd4d39cc5ae228c52
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:02:04 2008 +0000

    Install the types builtins header.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1721 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 06977333f5f0dcc2e9bb6a3dadeaf463764c2a20
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:01:53 2008 +0000

    Remove gucharmap-types.h again.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1720 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                           |    1 -
 gucharmap/gucharmap-block-chapters-model.c      |   17 +++--
 gucharmap/gucharmap-block-chapters-model.h      |   14 ++++-
 gucharmap/gucharmap-chapters-model.c            |   22 ++++---
 gucharmap/gucharmap-chapters-model.h            |   30 +++++++-
 gucharmap/gucharmap-chapters-view.c             |    5 +-
 gucharmap/gucharmap-chapters-view.h             |    2 +-
 gucharmap/gucharmap-charmap.h                   |    4 +-
 gucharmap/gucharmap-chartable-accessible.h      |    2 +-
 gucharmap/gucharmap-chartable-cell-accessible.h |   19 +++++-
 gucharmap/gucharmap-chartable.h                 |    2 +-
 gucharmap/gucharmap-codepoint-list.c            |    3 +-
 gucharmap/gucharmap-codepoint-list.h            |    5 +-
 gucharmap/gucharmap-init.c                      |    1 +
 gucharmap/gucharmap-print-operation.h           |    1 +
 gucharmap/gucharmap-private.h                   |   87 +----------------------
 gucharmap/gucharmap-script-chapters-model.c     |   15 ++--
 gucharmap/gucharmap-script-chapters-model.h     |   14 ++++-
 gucharmap/gucharmap-script-codepoint-list.c     |    4 +-
 gucharmap/gucharmap-script-codepoint-list.h     |   16 ++++-
 gucharmap/gucharmap-types.h                     |   39 ----------
 gucharmap/gucharmap-unicode-info.c              |    3 +-
 gucharmap/gucharmap.h                           |    4 +-
 23 files changed, 139 insertions(+), 171 deletions(-)

commit 5f37efddb561881d60dde49fdd8db92a251efc7e
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:01:43 2008 +0000

    Move type definition to header file.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1719 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-codepoint-list.h |   20 ++++++++++++++++++++
 gucharmap/gucharmap-private.h        |   18 ------------------
 gucharmap/gucharmap-types.h          |    3 ---
 3 files changed, 20 insertions(+), 21 deletions(-)

commit 3ebcba9acce78f3d2626c57d7b13eda5c79291e7
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:01:33 2008 +0000

    Use gobject instance private data.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1718 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chapters-view.c |   33 +++++++++++++++++++++++++--------
 gucharmap/gucharmap-chapters-view.h |   19 ++++++++++++++++++-
 gucharmap/gucharmap-private.h       |   15 ---------------
 gucharmap/gucharmap-types.h         |    3 ---
 4 files changed, 43 insertions(+), 27 deletions(-)

commit e81a26773c6063b9aa1c86c0286d9bb2881afa21
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:01:24 2008 +0000

    Also check for GDK_ISO_Enter.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1717 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d475b384ff92a98f9ecddc6f13a04fafac437205
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:01:14 2008 +0000

    Add type builtins.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1716 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a29155eeaa699489e87c9ce9599aa4ae1e0b16e4
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:01:05 2008 +0000

    Use gobject instance private data.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1715 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c      |   58 ++-
 gucharmap/gucharmap-chartable-cell-accessible.c |    7 +-
 gucharmap/gucharmap-chartable.c                 |  635 +++++++++++++----------
 gucharmap/gucharmap-chartable.h                 |   32 ++-
 gucharmap/gucharmap-private.h                   |   53 +--
 gucharmap/gucharmap-types.h                     |    3 -
 6 files changed, 448 insertions(+), 340 deletions(-)

commit 7de3852aeb84149e422e21688953caf74e33a6cb
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:00:55 2008 +0000

    Use gobject instance private data.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1714 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |  177 +++++++++++++++++++++++++++--------------
 gucharmap/gucharmap-charmap.h |   26 ++++++
 gucharmap/gucharmap-private.h |   32 --------
 gucharmap/gucharmap-types.h   |    3 -
 4 files changed, 144 insertions(+), 94 deletions(-)

commit e68616a1d98705ec8cd3eb5b79fdd0c4bafccfd3
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:00:45 2008 +0000

    Add type builtins.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1713 64437878-e825-0410-a939-de567e363a10

 configure.ac                                 |    8 +++--
 gucharmap/Makefile.am                        |   45 +++++++++++++++++++-------
 gucharmap/gucharmap-type-builtins.c.template |   40 +++++++++++++++++++++++
 gucharmap/gucharmap-type-builtins.h.template |   29 ++++++++++++++++
 4 files changed, 107 insertions(+), 15 deletions(-)

commit 018d0d141de92fb7eb4a7478408f009df229747a
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:00:35 2008 +0000

    Add gucharmap.h. Somehow this got lost!?
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1712 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap.h |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 47 insertions(+), 0 deletions(-)

commit 0780e32ca3df90530eba0a409d7e88829b05ed8a
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:00:26 2008 +0000

    Make gucharmap_unicode_get_version_string return NULL for unassigned characters,
    and fix the one-off indexing for assigned characters.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1711 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c      |    2 +-
 gucharmap/gucharmap-unicode-info.c |    7 +++++--
 gucharmap/gucharmap-unicode-info.h |    3 ++-
 3 files changed, 8 insertions(+), 4 deletions(-)

commit 58ac50b8d41ead90248b0e305b334a7f045bff26
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:00:16 2008 +0000

    Add AC_PROG_LN_S.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1710 64437878-e825-0410-a939-de567e363a10

 configure.ac |   20 ++++++++++++++++++--
 1 files changed, 18 insertions(+), 2 deletions(-)

commit c20ae58a4999a6a438952f7aceaede6b377bcb20
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 11:00:06 2008 +0000

    #if 0 the printing code for now.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1709 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am        |   16 ++++++++--------
 gucharmap/gucharmap-window.c |   16 +++++++++++++++-
 2 files changed, 23 insertions(+), 9 deletions(-)

commit b1f1b3d9f0a27dfeab50d0279b323e5638f47193
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:59:52 2008 +0000

    Don't make the print operation part of libgucharmap for now.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1708 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                 |   11 +++++++++--
 gucharmap/gucharmap-print-operation.c |   17 +++++++++++++----
 gucharmap/gucharmap-print-operation.h |    6 +-----
 gucharmap/gucharmap-window.c          |   12 +++++++++++-
 gucharmap/gucharmap-window.h          |    1 +
 gucharmap/gucharmap.h.in              |    1 -
 6 files changed, 35 insertions(+), 13 deletions(-)

commit dc40223dc3988415447ee0ba0407eeb67785731e
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:59:42 2008 +0000

    First stab at printing.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1707 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                 |    2 +
 gucharmap/gucharmap-print-operation.c |  371 +++++++++++++++++++++++++++++++++
 gucharmap/gucharmap-print-operation.h |   62 ++++++
 gucharmap/gucharmap-window.c          |  168 ++++++++++++++-
 gucharmap/gucharmap-window.h          |    3 +
 gucharmap/gucharmap.h.in              |    1 +
 6 files changed, 595 insertions(+), 12 deletions(-)

commit dc6aa4b062550cf4833a9378f09bf8fc52e4aa6e
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:59:32 2008 +0000

    Add script name override, mapping Nko => N'Ko. Bug #503377.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1706 64437878-e825-0410-a939-de567e363a10

 gucharmap/gen-guch-unicode-tables.pl |   16 ++++++-
 gucharmap/unicode-scripts.h          |   78 +++++++++++++++++-----------------
 2 files changed, 52 insertions(+), 42 deletions(-)

commit 75b37bf7c8f0210c6050bfca412ec4a97df520ea
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:59:23 2008 +0000

    Add gobject property for the font description.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1705 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 3ebfdfe4f080968cb2492c5575073e773ce42022
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:59:11 2008 +0000

    Simplify deps.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1704 64437878-e825-0410-a939-de567e363a10

 configure.ac |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit d875b00b209498e8c4005481968c976f03f209ef
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:59:02 2008 +0000

    Add version defines and GUCHARMAP_CHECK_VERSION macro to gucharmap.h.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1703 64437878-e825-0410-a939-de567e363a10

 configure.ac             |   78 +++++++++++++++++++++++++++-------------------
 gucharmap/gucharmap.h    |   37 ----------------------
 gucharmap/gucharmap.h.in |   47 +++++++++++++++++++++++++++
 3 files changed, 93 insertions(+), 69 deletions(-)

commit e3e97dc6a6bdc81f6ae68850c6fb72fe0b4326ef
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:58:53 2008 +0000

    Remove auto* copied files from repo.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1702 64437878-e825-0410-a939-de567e363a10

 INSTALL |  236 ---------------------------------------------------------------
 1 files changed, 0 insertions(+), 236 deletions(-)

commit 7528f8b38965d7c0e2e4c9c3c2a09586ecc408b5
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:58:44 2008 +0000

    Fix initial font size setting from prefs.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1701 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    5 +++++
 gucharmap/gucharmap-window.h |    4 +++-
 gucharmap/main.c             |    2 --
 3 files changed, 8 insertions(+), 3 deletions(-)

commit a40a8456907c648b7b6c020dd75a4244cb2cf41d
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:58:33 2008 +0000

    Go back to implicit initialisation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1700 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                       |    2 -
 gucharmap/gucharmap-block-chapters-model.c  |    2 +
 gucharmap/gucharmap-charmap.c               |    2 +
 gucharmap/gucharmap-init.c                  |   18 ++++----------
 gucharmap/gucharmap-init.h                  |   33 ---------------------------
 gucharmap/gucharmap-mini-fontsel.c          |    2 -
 gucharmap/gucharmap-private.h               |    4 ++-
 gucharmap/gucharmap-script-chapters-model.c |    2 +
 gucharmap/gucharmap-script-codepoint-list.c |    2 +
 gucharmap/gucharmap-unicode-info.c          |    6 ++++-
 gucharmap/gucharmap.h                       |    1 -
 gucharmap/main.c                            |    2 -
 12 files changed, 21 insertions(+), 55 deletions(-)

commit c92f8911763552aa2eeec9c0789ec422c390de9e
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:58:23 2008 +0000

    Destroy the window, don't call gtk_main_quit directly.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1699 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   14 ++++++++++----
 gucharmap/gucharmap-window.h |   10 ++++++----
 gucharmap/main.c             |    6 ++++--
 3 files changed, 20 insertions(+), 10 deletions(-)

commit 92fec07d9a7cf8cc20baca4ffdcd854daf448d2b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:58:14 2008 +0000

    Remove font fallback (#if 0'd code).
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1698 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 08658e3e0238d0b5a7a1b677f508757e2fa6109c
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:58:04 2008 +0000

    Use UTF-8.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1697 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit be2c34035cf81fcf2670c8ecc4d81f68217dfa9c
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:57:53 2008 +0000

    More moving around of code.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1696 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |  227 ++++++++++++++++++++----------------------
 1 files changed, 109 insertions(+), 118 deletions(-)

commit 9b387ae930d23ec0230e45857e658e1a2783a87a
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:57:43 2008 +0000

    Move code around a bit.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1695 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   90 ++++++++++++++++++------------------------
 gucharmap/gucharmap-window.h |    3 -
 2 files changed, 38 insertions(+), 55 deletions(-)

commit eedc259b21c682fd366cb07d0aa264e5e7411eae
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:57:34 2008 +0000

    Remove unused variable.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1694 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   14 ++++++--------
 1 files changed, 6 insertions(+), 8 deletions(-)

commit 734222c60768909fa3e9e48c5d7b18178c4db2ac
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:57:25 2008 +0000

    Remove unused API from GucharmapWindow.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1693 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   44 ++---------------------------------------
 gucharmap/gucharmap-window.h |   10 ---------
 gucharmap/main.c             |   19 +++++++----------
 3 files changed, 11 insertions(+), 62 deletions(-)

commit ee952d9b073418405be12fcc7c99ca7c729bc696
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:57:15 2008 +0000

    Done.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1692 64437878-e825-0410-a939-de567e363a10

 TODO |   18 ------------------
 1 files changed, 0 insertions(+), 18 deletions(-)

commit ad610a4a845d1da95e9e6f072c2bfd04b06d272d
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:57:06 2008 +0000

    Add a #define for the gucharmap icon name, so you only have to switch it in one
    place in the code (plus to .desktop.in.in file). Helps bug #331670.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1691 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    4 ++--
 gucharmap/gucharmap-window.h |    2 ++
 gucharmap/main.c             |    2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit bd1d2484d07efd550c3c033b1f015a5a2802d699
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:56:57 2008 +0000

    Code simplification.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1690 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-search-dialog.c |   15 +++++----------
 1 files changed, 5 insertions(+), 10 deletions(-)

commit 81bebcd24339b7b0589e7d3a7d31ac12e3b9a34a
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:56:47 2008 +0000

    Implement Ctrl-V paste to go to the 1st character in the clipboard text. Bug #477921.
    Only works if the chartable has the focus, unfortunately.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1689 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   46 ++++++++++++++++++++++++++++++++++++++-
 1 files changed, 45 insertions(+), 1 deletions(-)

commit 2d728c949f10e624e60673332927d6f660c60738
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:56:37 2008 +0000

    Make Ctrl-C copy the active character. Bug #477921.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1688 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   57 +++++++++++++++++++++++++++++++++++++++
 gucharmap/gucharmap-private.h   |    2 +
 2 files changed, 59 insertions(+), 0 deletions(-)

commit 050342119624b1ad55208b7e6b01fa2c353e77f1
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:56:27 2008 +0000

    Add gitignore.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1687 64437878-e825-0410-a939-de567e363a10

 .gitignore |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit 0c1158a9d7db9eb4bd23939b312d525583285ef7
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:56:18 2008 +0000

    Add unicode version info. Bug #347941, based on a patch by Petr Tomasek.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1686 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                |   48 ++-
 gucharmap/download-unicode-files.sh  |    3 +-
 gucharmap/gen-guch-unicode-tables.pl |  106 +++++-
 gucharmap/gucharmap-charmap.c        |    8 +
 gucharmap/gucharmap-unicode-info.c   |   36 ++
 gucharmap/gucharmap-unicode-info.h   |   17 +
 gucharmap/unicode-versions.h         |  801 ++++++++++++++++++++++++++++++++++
 7 files changed, 1002 insertions(+), 17 deletions(-)

commit 8213ae8b266f5d31a05ba7bfacfedd0677317e9b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:56:08 2008 +0000

    Make this static data.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1685 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit ea6dae0ea72f3d0e21a3584b3f518b871a462a76
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:55:58 2008 +0000

    Fix zoom popup positioning for RTL.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1684 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   33 +++++++++++++++++++++++----------
 1 files changed, 23 insertions(+), 10 deletions(-)

commit 8406da29daaeffc2f2bd04b86141afce0d96965f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:55:49 2008 +0000

    Improve zoom popup positioning further.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1683 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |  167 +++++++++++++--------------------------
 1 files changed, 54 insertions(+), 113 deletions(-)

commit d783e44e61220c38eac404bc3eb50cc695e1fb64
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:55:39 2008 +0000

    Improve zoom popup positioning code to cope with screen borders.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1682 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |  224 +++++++++++++++++++++++++++++++++++----
 1 files changed, 202 insertions(+), 22 deletions(-)

commit d4fd5bfc4c02d5361185f4013816249d3ba1ac13
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:55:30 2008 +0000

    Make gucharmap_chartable_set_zoom_enabled only control the zoom capability, and
    not the actual showing of the zoom popup. Introduce gobject properties for zoom enabled
    and zoom showing.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1681 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |  252 +++++++++++++++++++++++++--------------
 gucharmap/gucharmap-chartable.h |    1 +
 2 files changed, 165 insertions(+), 88 deletions(-)

commit 6c1c80a74a02ee20e5b830e7369b0048d79d5243
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:55:20 2008 +0000

    Use a stock item that has a label to get the locale character.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1680 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-unicode-info.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2aa98ccd614ca7f014b1e4fd0ebdbcd60fdfc41a
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:55:11 2008 +0000

    Use GTK_STOCK_ZOOM_*.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1679 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 1cd8248388fedb6d812e34ec3e1664cfb1c8eb33
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:55:02 2008 +0000

    Use $(GLIB_GENMARSHAL).
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1678 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8ddc91d4d6e2dcccd90cbf0e07e79abc8670059d
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:54:53 2008 +0000

    Update.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1677 64437878-e825-0410-a939-de567e363a10

 po/POTFILES.in   |    5 +----
 po/POTFILES.skip |    2 ++
 2 files changed, 3 insertions(+), 4 deletions(-)

commit 91565778d72b6732d3b69e9d21ca1263d0853fb9
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:54:44 2008 +0000

    Use the cursor movement logic to implement the Ctrl-N/P actions in
    GucharmapWindow.
    Make gucharmap_chartable_move_cursor not check for focus; it doesn't seem to be
    necessary and also would make the above not work.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1676 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    3 --
 gucharmap/gucharmap-window.c    |   71 +++++++++++---------------------------
 2 files changed, 21 insertions(+), 53 deletions(-)

commit 25a69a5567ab9b9f0e70ab2ac8c66979d1cc2f0d
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:54:34 2008 +0000

    Add full set of stock gobject type macros.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1675 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-block-chapters-model.h      |   17 ++++++-----------
 gucharmap/gucharmap-chapters-model.h            |   17 ++++++-----------
 gucharmap/gucharmap-chapters-view.h             |   17 ++++++-----------
 gucharmap/gucharmap-charmap.h                   |   16 ++++++----------
 gucharmap/gucharmap-chartable-accessible.h      |   11 ++++++-----
 gucharmap/gucharmap-chartable-cell-accessible.h |   11 ++++++-----
 gucharmap/gucharmap-chartable.h                 |   14 ++++++--------
 gucharmap/gucharmap-codepoint-list.h            |   17 ++++++-----------
 gucharmap/gucharmap-mini-fontsel.h              |   16 ++++++----------
 gucharmap/gucharmap-script-chapters-model.h     |   17 ++++++-----------
 gucharmap/gucharmap-script-codepoint-list.h     |   17 ++++++-----------
 gucharmap/gucharmap-search-dialog.h             |    7 ++++++-
 gucharmap/gucharmap-window.h                    |   11 ++++++-----
 13 files changed, 78 insertions(+), 110 deletions(-)

commit 16d260b7129b2a3979ed4d1535dfbcb480843f39
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:54:22 2008 +0000

    Use UTF-8.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1674 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                           |    2 +-
 gucharmap/gucharmap-block-chapters-model.c      |    4 ++--
 gucharmap/gucharmap-block-chapters-model.h      |    4 ++--
 gucharmap/gucharmap-chapters-model.c            |    4 ++--
 gucharmap/gucharmap-chapters-model.h            |    4 ++--
 gucharmap/gucharmap-chapters-view.c             |    2 +-
 gucharmap/gucharmap-chapters-view.h             |    2 +-
 gucharmap/gucharmap-charmap.c                   |    1 +
 gucharmap/gucharmap-charmap.h                   |    2 +-
 gucharmap/gucharmap-chartable-accessible.c      |    4 ++--
 gucharmap/gucharmap-chartable-accessible.h      |    4 ++--
 gucharmap/gucharmap-chartable-cell-accessible.c |    4 ++--
 gucharmap/gucharmap-chartable-cell-accessible.h |    2 +-
 gucharmap/gucharmap-chartable.c                 |    6 +++---
 gucharmap/gucharmap-chartable.h                 |    4 ++--
 gucharmap/gucharmap-codepoint-list.c            |    2 +-
 gucharmap/gucharmap-codepoint-list.h            |    2 +-
 gucharmap/gucharmap-init.c                      |    2 +-
 gucharmap/gucharmap-init.h                      |    2 +-
 gucharmap/gucharmap-mini-fontsel.c              |    2 +-
 gucharmap/gucharmap-mini-fontsel.h              |    2 +-
 gucharmap/gucharmap-private.h                   |    4 ++--
 gucharmap/gucharmap-script-chapters-model.c     |    4 ++--
 gucharmap/gucharmap-script-chapters-model.h     |    4 ++--
 gucharmap/gucharmap-script-codepoint-list.c     |    2 +-
 gucharmap/gucharmap-script-codepoint-list.h     |    2 +-
 gucharmap/gucharmap-search-dialog.c             |    2 +-
 gucharmap/gucharmap-search-dialog.h             |    2 +-
 gucharmap/gucharmap-settings.c                  |    4 ++--
 gucharmap/gucharmap-settings.h                  |    2 +-
 gucharmap/gucharmap-types.h                     |    4 ++--
 gucharmap/gucharmap-unicode-info.c              |    2 +-
 gucharmap/gucharmap-unicode-info.h              |    2 +-
 gucharmap/gucharmap-window.c                    |    2 +-
 gucharmap/gucharmap-window.h                    |    2 +-
 gucharmap/gucharmap.h                           |    2 +-
 gucharmap/main.c                                |    2 +-
 37 files changed, 52 insertions(+), 51 deletions(-)

commit 8e07fb7608a47fd5f7f1ed60b1cc4651445b9c25
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:54:10 2008 +0000

    Split the window, mini-fontsel, search-dialog and settings out of the library. They aren't
    generic enough, but currently only useful for gucharmap itself.
    Also gets rid of the gconf dependency on libgucharmap.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1673 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                       |   24 ++--
 gucharmap/gucharmap-block-chapters-model.c  |    1 -
 gucharmap/gucharmap-chapters-view.c         |    4 +-
 gucharmap/gucharmap-charmap.c               |  148 +++++++++++----
 gucharmap/gucharmap-charmap.h               |    9 +-
 gucharmap/gucharmap-init.c                  |    5 -
 gucharmap/gucharmap-mini-fontsel.c          |    4 +-
 gucharmap/gucharmap-mini-fontsel.h          |   33 +++-
 gucharmap/gucharmap-private.h               |   54 +-----
 gucharmap/gucharmap-script-chapters-model.c |    1 -
 gucharmap/gucharmap-search-dialog.c         |    5 +-
 gucharmap/gucharmap-search-dialog.h         |   25 ++-
 gucharmap/gucharmap-settings.c              |   42 +---
 gucharmap/gucharmap-settings.h              |    2 -
 gucharmap/gucharmap-types.h                 |    9 -
 gucharmap/gucharmap-unicode-info.c          |   39 ++++-
 gucharmap/gucharmap-unicode-info.h          |    3 +
 gucharmap/gucharmap-window.c                |  287 ++++++++++++---------------
 gucharmap/gucharmap-window.h                |   49 ++++-
 gucharmap/gucharmap.h                       |    3 -
 gucharmap/main.c                            |    4 +
 21 files changed, 408 insertions(+), 343 deletions(-)

commit b0cd1f16d14707d9b6e414d81636a9234b0bc219
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:53:59 2008 +0000

    Namespace ChaptersMode.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1672 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chapters-model.h |    7 +++----
 gucharmap/gucharmap-settings.c       |   20 ++++++++++----------
 gucharmap/gucharmap-settings.h       |    4 ++--
 gucharmap/gucharmap-window.c         |   14 +++++++-------
 4 files changed, 22 insertions(+), 23 deletions(-)

commit 66ba2e9c8caf49c19b5185cca18b9c0e56a47159
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:53:49 2008 +0000

    Allow returning NULL for the book_codepoint_list without crashing the search
    dialogue.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1671 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-search-dialog.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit bca2168a4dce86764b638ba75a4fdf665975abbc
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:53:40 2008 +0000

    Chain finaliser up to the parent class.
    Don't leak the |ranges|.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1670 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-script-codepoint-list.c |   38 ++++++++++++++++++++++-----
 1 files changed, 31 insertions(+), 7 deletions(-)

commit 194f227fae2b7a89b83a41a37cf0a901b16872b1
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:53:31 2008 +0000

    Don't leak the timer.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1669 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-search-dialog.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit f1ebc6f993deca19e1ca568f1cef0f85e332a905
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:53:22 2008 +0000

    Define UNICHAR_MAX in gucharmap-private.h, not in configure.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1668 64437878-e825-0410-a939-de567e363a10

 configure.ac                  |    2 --
 gucharmap/gucharmap-private.h |    3 +++
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 00efb5f9878f62d1dcee67acda2050046e300350
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:53:12 2008 +0000

    Fix last-char setting value to correctly read back U+10FFFF.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1667 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-settings.c |   23 ++++++++++++++---------
 1 files changed, 14 insertions(+), 9 deletions(-)

commit a759bb281b16b255632f9c533a4d0563e14a71f5
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:53:03 2008 +0000

    Don't allow to DND from a cell that's not a valid unicode char (e.g. U+10FFFF).
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1666 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 3a1d3cfa76e4e35d598df45c8ed8a9b95b395dbe
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:52:53 2008 +0000

    Fix the quit label.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1665 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2906e4c970bf17fb238b7a916ab3e9503d28e3b5
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:52:44 2008 +0000

    No need to override show_all.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1664 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit cfb8c2df69ef584bf78cb9ea7eae6c965dd262f3
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:52:35 2008 +0000

    Remove unused code.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1663 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   14 --------------
 1 files changed, 0 insertions(+), 14 deletions(-)

commit fa84972dafdec0541197db03af5c52cb1dcdea6b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:52:26 2008 +0000

    Don't leak the action group.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1662 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a470a8a5be8c9004547d4c268e36387d4a5acd8b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:52:17 2008 +0000

    Remove unused accel group.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1661 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit dd9699cc95913bc16319736fc29993c6acaeba0a
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:52:07 2008 +0000

    Use a GtkToggleActionEntry for the toggle action instead of creating them by hand.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1660 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   23 +++++++++++++----------
 1 files changed, 13 insertions(+), 10 deletions(-)

commit ae14a02d3495c44715b621e10652f8c451f2d5d4
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:51:58 2008 +0000

    Remove redundant code.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1659 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   29 +++--------------------------
 1 files changed, 3 insertions(+), 26 deletions(-)

commit e670fcba86313b2c6422ea96b57e2826b6ef797e
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:51:49 2008 +0000

    No need to make the actions static.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1658 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |  107 +++++++++++++++++++++---------------------
 1 files changed, 53 insertions(+), 54 deletions(-)

commit 1e110ebd50539884df1923f0f5536aa3f6235483
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:51:40 2008 +0000

    Make the UI string shorter.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1657 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   64 +++++++++++++++++++++---------------------
 1 files changed, 32 insertions(+), 32 deletions(-)

commit e431799aa4f2814fc2783e6995e535d8822741c7
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:51:30 2008 +0000

    Use a bitfield.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1656 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   24 ++++++++++--------------
 1 files changed, 10 insertions(+), 14 deletions(-)

commit 85bb060c603e5c44bd3c7968d5bea2b912f4147b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:51:21 2008 +0000

    Remove redundant code.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1655 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-private.h       |    2 +-
 gucharmap/gucharmap-search-dialog.c |    2 --
 gucharmap/gucharmap-window.c        |   29 +++++------------------------
 3 files changed, 6 insertions(+), 27 deletions(-)

commit b594ded298d1c884f4e2980c954514fa8c8c724c
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:51:12 2008 +0000

    Remove unused static variables.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1654 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-search-dialog.c |   15 +++++++--------
 gucharmap/gucharmap-window.c        |   13 +++++++------
 2 files changed, 14 insertions(+), 14 deletions(-)

commit cebe3b4e54304f2c3de07360904e06f520f608fa
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:51:01 2008 +0000

    Remove useless RCS markers.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1653 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-block-chapters-model.c  |    1 -
 gucharmap/gucharmap-block-chapters-model.h  |    1 -
 gucharmap/gucharmap-chapters-model.c        |    1 -
 gucharmap/gucharmap-codepoint-list.c        |    1 -
 gucharmap/gucharmap-codepoint-list.h        |    1 -
 gucharmap/gucharmap-mini-fontsel.c          |    1 -
 gucharmap/gucharmap-mini-fontsel.h          |    1 -
 gucharmap/gucharmap-script-chapters-model.c |    1 -
 gucharmap/gucharmap-script-chapters-model.h |    1 -
 gucharmap/gucharmap-script-codepoint-list.c |    1 -
 gucharmap/gucharmap-script-codepoint-list.h |    1 -
 gucharmap/gucharmap-search-dialog.c         |    1 -
 gucharmap/gucharmap-search-dialog.h         |    1 -
 gucharmap/gucharmap-unicode-info.c          |    1 -
 gucharmap/gucharmap-unicode-info.h          |    1 -
 gucharmap/main.c                            |    1 -
 16 files changed, 0 insertions(+), 16 deletions(-)

commit c672f9a9a6269b4ba5f6e4f3f6598e2f8691555c
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:50:50 2008 +0000

    Use g_unichar_validate, it's identical.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1652 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-unicode-info.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)

commit b69922b8d835942e16e919bd15f0b3d0fdb4f06f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:50:41 2008 +0000

    Remove gucharmap_unicode_canonical_decomposition; the glib bug that it worked
    around has been fixed since 2.3.1 ! (Bug #100456)
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1651 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c      |    2 +-
 gucharmap/gucharmap-unicode-info.c |   62 ------------------------------------
 gucharmap/gucharmap-unicode-info.h |    7 ----
 3 files changed, 1 insertions(+), 70 deletions(-)

commit d8c4e1fc5769acbb44a4c07be36bd68fcfba7ec8
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:50:31 2008 +0000

    Move unicode block names to rodata.
    We're now at 82 relocations, down from over 8700 before the last few patches.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1650 64437878-e825-0410-a939-de567e363a10

 gucharmap/gen-guch-unicode-tables.pl       |   35 ++-
 gucharmap/gucharmap-block-chapters-model.c |    8 +-
 gucharmap/unicode-blocks.h                 |  625 +++++++++++++++++++++-------
 3 files changed, 507 insertions(+), 161 deletions(-)

commit 559c47bd5414f3fa808397ec1cafced5a86d2890
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:50:22 2008 +0000

    Move scripts strings to ro data.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1649 64437878-e825-0410-a939-de567e363a10

 gucharmap/gen-guch-unicode-tables.pl        |   30 +++++-
 gucharmap/gucharmap-script-chapters-model.c |    4 +-
 gucharmap/gucharmap-script-codepoint-list.c |   32 ++++--
 gucharmap/unicode-scripts.h                 |  146 ++++++++++++++++++++++++++-
 4 files changed, 193 insertions(+), 19 deletions(-)

commit c0263acb97bd83e89a5bfe3526b764ad1c717290
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:50:12 2008 +0000

    Validate unichar before copying.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1648 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 073f45b60868efbf725bbe47edbd82745d097faf
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:50:00 2008 +0000

    Move unicode-nameslist.h data to ro. This saves over 8000 relocations (down to ~600).
    Bug #503599.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1647 64437878-e825-0410-a939-de567e363a10

 gucharmap/gen-guch-unicode-tables.pl |  106 +-
 gucharmap/gucharmap-unicode-info.c   |   22 +-
 gucharmap/unicode-nameslist.h        |22994 ++++++++++++++++++++++------------
 3 files changed, 14895 insertions(+), 8227 deletions(-)

commit 30caef4d246f36648905cbdce53f6444b5f5008d
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:49:47 2008 +0000

    Don't leak the codepoint list.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1646 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 3e6a85563f2a52571453a73a1ec9cd481b787612
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:49:37 2008 +0000

    Shrink the NamesList struct to almost only half the size by changing
    the ints to gint16.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1645 64437878-e825-0410-a939-de567e363a10

 gucharmap/gen-guch-unicode-tables.pl |   10 +++++-----
 gucharmap/gucharmap-unicode-info.c   |    2 +-
 gucharmap/unicode-nameslist.h        |   10 +++++-----
 3 files changed, 11 insertions(+), 11 deletions(-)

commit 9e4b9dd9d56639a4e42095b52ee6b6aad60de271
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:49:24 2008 +0000

    Intern the signal names.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1644 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c     |    8 ++++----
 gucharmap/gucharmap-mini-fontsel.c  |    2 +-
 gucharmap/gucharmap-search-dialog.c |    4 ++--
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 8403bd6122b8670509687c32999df00b00c652f1
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:49:13 2008 +0000

    Include <config.h>.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1643 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chapters-view.c         |    2 +-
 gucharmap/gucharmap-charmap.c               |    2 +-
 gucharmap/gucharmap-chartable.c             |    2 +-
 gucharmap/gucharmap-codepoint-list.c        |    2 +-
 gucharmap/gucharmap-mini-fontsel.c          |    2 +-
 gucharmap/gucharmap-script-chapters-model.c |    2 +-
 gucharmap/gucharmap-script-codepoint-list.c |    2 +-
 gucharmap/gucharmap-search-dialog.c         |    2 +-
 gucharmap/gucharmap-settings.c              |    2 +-
 gucharmap/gucharmap-unicode-info.c          |    2 +-
 gucharmap/gucharmap-window.c                |    2 +-
 gucharmap/main.c                            |    2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

commit 1822d3577af09a79f9471277565140a0e1ea4b3e
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:49:00 2008 +0000

    Put all types into gucharmap-types, and the real struct definitions into gucharmap-private.h.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1642 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                           |    3 +-
 gucharmap/gen-guch-unicode-tables.pl            |    5 +-
 gucharmap/gucharmap-block-chapters-model.c      |    5 +-
 gucharmap/gucharmap-block-chapters-model.h      |   14 +-
 gucharmap/gucharmap-chapters-model.c            |    7 +-
 gucharmap/gucharmap-chapters-model.h            |   25 +--
 gucharmap/gucharmap-chapters-view.c             |    2 +-
 gucharmap/gucharmap-chapters-view.h             |   19 +--
 gucharmap/gucharmap-charmap.c                   |   34 +---
 gucharmap/gucharmap-charmap.h                   |    4 +-
 gucharmap/gucharmap-chartable-accessible.c      |    5 +-
 gucharmap/gucharmap-chartable-accessible.h      |    2 +-
 gucharmap/gucharmap-chartable-cell-accessible.c |    2 +-
 gucharmap/gucharmap-chartable-cell-accessible.h |   17 +--
 gucharmap/gucharmap-chartable-private.h         |  105 --------
 gucharmap/gucharmap-chartable.c                 |    4 +-
 gucharmap/gucharmap-chartable.h                 |    4 +-
 gucharmap/gucharmap-codepoint-list.c            |    1 +
 gucharmap/gucharmap-codepoint-list.h            |   21 +--
 gucharmap/gucharmap-intl.h                      |   14 -
 gucharmap/gucharmap-mini-fontsel.c              |    3 +-
 gucharmap/gucharmap-mini-fontsel.h              |   28 +--
 gucharmap/gucharmap-private.h                   |  296 +++++++++++++++++++++++
 gucharmap/gucharmap-script-chapters-model.c     |    4 +-
 gucharmap/gucharmap-script-chapters-model.h     |   14 +-
 gucharmap/gucharmap-script-codepoint-list.c     |    2 +-
 gucharmap/gucharmap-script-codepoint-list.h     |   14 +-
 gucharmap/gucharmap-search-dialog.c             |    3 +-
 gucharmap/gucharmap-search-dialog.h             |   18 +--
 gucharmap/gucharmap-settings.c                  |    3 +-
 gucharmap/gucharmap-types.h                     |   60 +++++
 gucharmap/gucharmap-unicode-info.c              |    1 +
 gucharmap/gucharmap-window.c                    |    5 +-
 gucharmap/gucharmap-window.h                    |   16 +--
 gucharmap/gucharmap.h                           |    2 +
 gucharmap/main.c                                |    4 -
 gucharmap/unicode-blocks.h                      |    2 +
 gucharmap/unicode-names.h                       |    2 +-
 gucharmap/unicode-scripts.h                     |    2 +-
 39 files changed, 414 insertions(+), 358 deletions(-)

commit 3d03ec0965969343d8fc4f9ca25ec339d2323992
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:48:42 2008 +0000

    Add explicit init/shutdown functions, and remove the internal gettext init function.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1641 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                       |    6 ++-
 gucharmap/gucharmap-block-chapters-model.c  |    2 -
 gucharmap/gucharmap-charmap.c               |    2 -
 gucharmap/gucharmap-init.c                  |   53 +++++++++++++++++++++++++++
 gucharmap/gucharmap-init.h                  |   33 +++++++++++++++++
 gucharmap/gucharmap-intl.c                  |   23 ------------
 gucharmap/gucharmap-mini-fontsel.c          |    2 -
 gucharmap/gucharmap-script-chapters-model.c |    2 -
 gucharmap/gucharmap-script-codepoint-list.c |    2 -
 gucharmap/gucharmap-search-dialog.c         |    2 -
 gucharmap/gucharmap-unicode-info.c          |    7 +---
 gucharmap/gucharmap-window.c                |    2 -
 gucharmap/gucharmap.h                       |    2 +-
 gucharmap/main.c                            |    4 +-
 14 files changed, 94 insertions(+), 48 deletions(-)

commit 646b0421c6367dd8af45026ae5dc1aabe615c5c8
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:48:31 2008 +0000

    Fix include path.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1640 64437878-e825-0410-a939-de567e363a10

 gucharmap-2.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 88031ee522b9536ee43cd53c518052bfddc29d1f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:48:21 2008 +0000

    Add a way to select the chapter by locale.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1639 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                |    7 ++-----
 gucharmap/gucharmap-chapters-model.c |    4 ++--
 gucharmap/gucharmap-chapters-view.c  |    7 +++++++
 gucharmap/gucharmap-chapters-view.h  |    3 +++
 gucharmap/gucharmap-settings.c       |   12 ++++++------
 gucharmap/gucharmap-settings.h       |    2 ++
 gucharmap/gucharmap.h                |   14 +++++++-------
 7 files changed, 29 insertions(+), 20 deletions(-)

commit 8a4a3200b695d08f983a8655ca5d42a6ac321a41
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:48:12 2008 +0000

    Don't do font fallback for the details page's big character.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1638 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit a59261cb16e637e954b64ec29c784f48458a64a8
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:48:02 2008 +0000

    Make only gucharmap/gucharmap.h includable from outside gucharmap.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1637 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                       |    9 +++++++--
 gucharmap/gucharmap-block-chapters-model.h  |    4 ++++
 gucharmap/gucharmap-chapters-model.h        |    4 ++++
 gucharmap/gucharmap-chapters-view.h         |    4 ++++
 gucharmap/gucharmap-charmap.h               |    4 ++++
 gucharmap/gucharmap-chartable.h             |    4 ++++
 gucharmap/gucharmap-codepoint-list.h        |    4 ++++
 gucharmap/gucharmap-mini-fontsel.h          |    4 ++++
 gucharmap/gucharmap-script-chapters-model.h |    4 ++++
 gucharmap/gucharmap-script-codepoint-list.h |    4 ++++
 gucharmap/gucharmap-search-dialog.h         |    4 ++++
 gucharmap/gucharmap-settings.h              |    2 +-
 gucharmap/gucharmap-unicode-info.h          |    4 ++++
 gucharmap/gucharmap-window.h                |    4 ++++
 gucharmap/gucharmap.h                       |    4 ++++
 gucharmap/main.c                            |    9 +++++----
 16 files changed, 65 insertions(+), 7 deletions(-)

commit f3e6471077f798cb0f9a955acf2c309d986bffde
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:47:52 2008 +0000

    Move to gucharmap-2.pc, and bump the soversion.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1636 64437878-e825-0410-a939-de567e363a10

 Makefile.am       |    2 +-
 configure.ac      |    4 ++--
 gucharmap-2.pc.in |   12 ++++++++++++
 gucharmap.pc.in   |   12 ------------
 4 files changed, 15 insertions(+), 15 deletions(-)

commit a6723564e9a5587025f4007f61978da994ce568b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:47:43 2008 +0000

    Show the character on the details page using the selected font. Bug #412062.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1635 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 6a4aeff22b2fed713956d8bc6c2dab96d18e0a87
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:47:34 2008 +0000

    Update the text tags on style-set on the textview.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1634 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |   71 +++++++++++++++++++++++++---------------
 1 files changed, 44 insertions(+), 27 deletions(-)

commit 645a870779c0329c2bf7746d9aec364d86661465
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:47:24 2008 +0000

    Set the new font in the charmap widget, and make that set the font of
    the chartable instead of going directly to the chartable.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1633 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c   |   62 ++++++++++++++++++++++++++++++++++++++-
 gucharmap/gucharmap-charmap.h   |   10 ++++--
 gucharmap/gucharmap-chartable.c |   27 +++++++++++++++-
 gucharmap/gucharmap-chartable.h |    2 +
 gucharmap/gucharmap-window.c    |    3 +-
 5 files changed, 96 insertions(+), 8 deletions(-)

commit e8e5938908cff2f0e4a8676086ddebe903f6f44d
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:47:14 2008 +0000

    Use a bitfield.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1632 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 9d0a060bccdf35eb9fdf6ed0aed4980fbeb65a0c
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:47:04 2008 +0000

    Remove GucharmapTable, and use GucharmapChartable directly.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1631 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am               |    2 -
 gucharmap/gucharmap-charmap.c       |  199 ++++++++++++++++++-----------------
 gucharmap/gucharmap-charmap.h       |    7 +-
 gucharmap/gucharmap-search-dialog.c |    4 +-
 gucharmap/gucharmap-table.c         |  181 -------------------------------
 gucharmap/gucharmap-table.h         |  106 -------------------
 gucharmap/gucharmap-window.c        |   28 +++---
 gucharmap/gucharmap.h               |    2 +-
 gucharmap/main.c                    |    4 +-
 9 files changed, 123 insertions(+), 410 deletions(-)

commit 56815528b2c13fc15adf15f21f190437aa3e3005
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:46:53 2008 +0000

    Remove Gucharmap*Chapters, and just use the model directly.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1630 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                       |    6 -
 gucharmap/gucharmap-block-chapters-model.h  |    2 +-
 gucharmap/gucharmap-block-chapters.c        |   53 -----
 gucharmap/gucharmap-block-chapters.h        |   60 ------
 gucharmap/gucharmap-chapters-model.c        |    2 +-
 gucharmap/gucharmap-chapters-model.h        |    1 -
 gucharmap/gucharmap-chapters-view.c         |    7 +-
 gucharmap/gucharmap-chapters-view.h         |    1 -
 gucharmap/gucharmap-chapters.c              |  299 ---------------------------
 gucharmap/gucharmap-chapters.h              |   85 --------
 gucharmap/gucharmap-charmap.c               |  172 +++++++++++-----
 gucharmap/gucharmap-charmap.h               |   17 +-
 gucharmap/gucharmap-script-chapters-model.c |    1 -
 gucharmap/gucharmap-script-chapters-model.h |    2 +-
 gucharmap/gucharmap-script-chapters.c       |   53 -----
 gucharmap/gucharmap-script-chapters.h       |   59 ------
 gucharmap/gucharmap-search-dialog.c         |    4 +-
 gucharmap/gucharmap-settings.c              |    2 +-
 gucharmap/gucharmap-window.c                |   59 +++---
 gucharmap/gucharmap-window.h                |    2 -
 gucharmap/gucharmap.h                       |    6 +-
 21 files changed, 186 insertions(+), 707 deletions(-)

commit 16e450ec5076b84b7568148d9928b322ac45a686
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:46:42 2008 +0000

    Add I_ define.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1629 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-intl.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 1102d2dee9e079b8390a08dcfe23f662109651a3
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:46:33 2008 +0000

    Make GucharmapCharmap struct private, to force all calls to go through the API.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1628 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c       |   33 +++++++++++++++++++++++++++++++++
 gucharmap/gucharmap-charmap.h       |   32 ++++----------------------------
 gucharmap/gucharmap-search-dialog.c |    4 ++--
 gucharmap/gucharmap-window.c        |   25 ++++++++++++++++---------
 gucharmap/main.c                    |    4 +++-
 5 files changed, 58 insertions(+), 40 deletions(-)

commit 6d86bd25ca264fb30a1932582892a53b002f7b03
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 21 10:46:21 2008 +0000

    s/IS_GUCHARMAP/GUCHARMAP_IS/g
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1627 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-block-chapters-model.h      |    2 +-
 gucharmap/gucharmap-block-chapters.h            |    2 +-
 gucharmap/gucharmap-chapters-model.c            |   10 +++++-----
 gucharmap/gucharmap-chapters-model.h            |    2 +-
 gucharmap/gucharmap-chapters-view.c             |    6 +++---
 gucharmap/gucharmap-chapters-view.h             |    2 +-
 gucharmap/gucharmap-chapters.c                  |    6 +++---
 gucharmap/gucharmap-chapters.h                  |    2 +-
 gucharmap/gucharmap-charmap.h                   |    2 +-
 gucharmap/gucharmap-chartable-accessible.h      |    4 ++--
 gucharmap/gucharmap-chartable-cell-accessible.h |    4 ++--
 gucharmap/gucharmap-chartable.c                 |    2 +-
 gucharmap/gucharmap-chartable.h                 |    2 +-
 gucharmap/gucharmap-codepoint-list.c            |    6 +++---
 gucharmap/gucharmap-codepoint-list.h            |    2 +-
 gucharmap/gucharmap-mini-fontsel.h              |    2 +-
 gucharmap/gucharmap-script-chapters-model.h     |    2 +-
 gucharmap/gucharmap-script-chapters.h           |    2 +-
 gucharmap/gucharmap-script-codepoint-list.h     |    2 +-
 gucharmap/gucharmap-table.h                     |    2 +-
 gucharmap/gucharmap-window.c                    |    4 ++--
 gucharmap/gucharmap-window.h                    |    2 +-
 22 files changed, 35 insertions(+), 35 deletions(-)

commit e5f5f7eef7febf7d3ec005c40a3a2bb34a3737dc
Author: kelemeng <kelemeng@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Mar 15 09:02:04 2008 +0000

    2008-03-15  Gabor Kelemen  <kelemeng@gnome.hu>
    
    	* hu.po: Translation updated
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1625 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/hu.po     |   17 ++++++++++-------
 2 files changed, 14 insertions(+), 7 deletions(-)

commit 7c8c4efc169cdcb335a1bf20b0b59a1fec8a406c
Author: marcel <marcel@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 14 07:44:07 2008 +0000

    2008-03-14  Marcel Telka  <marcel@telka.sk>
    
    	* sk.po: Updated Slovak translation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1622 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/sk.po     |  749 ++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 443 insertions(+), 310 deletions(-)

commit 5445e4837f5ccaedfd6db5a8542fb0bc2a63e395
Author: plaes <plaes@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Mar 12 07:24:19 2008 +0000

    2008-03-12  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1620 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/et.po     |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit ed808286450d98bcf106261577e06f0924b99e18
Author: bcicek <bcicek@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Mar 11 16:29:02 2008 +0000

    Updated Turkish Translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1618 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/tr.po     |  798 ++++++++++++++++++++++++++++++++++++----------------------
 2 files changed, 507 insertions(+), 295 deletions(-)

commit 19772f411e78487eb6c573a2081f01e7fa0395fc
Author: kennethn <kennethn@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 9 22:17:49 2008 +0000

    Updated Danish translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1616 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/da.po     |  262 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 149 insertions(+), 117 deletions(-)

commit 060a32bdd7feaefcc2b8f7b6ef671fb03ac6413a
Author: kelemeng <kelemeng@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 9 18:00:49 2008 +0000

    2008-03-09  Gabor Kelemen  <kelemeng@gnome.hu>
    
    	* hu.po: Translation updated
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1611 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/hu.po     |  231 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 131 insertions(+), 104 deletions(-)

commit 8823ab83ee577464da48373759e7540008de46bc
Author: jorgegonz <jorgegonz@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 9 15:39:47 2008 +0000

    Updated spanish screenshots
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1609 64437878-e825-0410-a939-de567e363a10

 help/ChangeLog                             |    4 ++++
 help/es/figures/gucharmap_start_window.png |  Bin 54730 -> 63982 bytes
 help/es/figures/gucharmap_window.png       |  Bin 47977 -> 69963 bytes
 3 files changed, 4 insertions(+), 0 deletions(-)

commit d2555f8a042a630c39986e16209ddfca77a3154c
Author: iharh <iharh@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 9 15:38:01 2008 +0000

    Added Belarusian Latin translation (merged from gnome-2-22 branch).
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1608 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog   |    5 +
 po/LINGUAS     |    1 +
 po/be@latin.po | 1196 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 1202 insertions(+), 0 deletions(-)

commit 74721699ca2483b77369787cdfbb13a0fb2a1307
Author: leonardof <leonardof@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 9 04:32:05 2008 +0000

    2008-03-09  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>
    
    	* pt_BR/pt_BR.po: Fixes in Brazilian Portuguese translation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1605 64437878-e825-0410-a939-de567e363a10

 help/ChangeLog      |    4 ++++
 help/pt_BR/pt_BR.po |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 01a35028f79c580d8f9942d24ffb323fba78bc72
Author: leonardof <leonardof@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 9 04:26:14 2008 +0000

    2008-03-09  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>
    
    	* pt_BR.po: Merged fixes from branch gnome-2-22.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1604 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/pt_BR.po  |   17 ++++++++---------
 2 files changed, 12 insertions(+), 9 deletions(-)

commit 4677dd6cfe855f9e84b6b72992d8fd12ef7ebaec
Author: leonardof <leonardof@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 9 04:19:18 2008 +0000

    2008-03-09  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>
    
    	* Makefile.am: Added pt_BR to DOC_LINGUAS.
    	* pt_BR/*: Merged Brazilian Portuguese translation from gnome-2-22.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1603 64437878-e825-0410-a939-de567e363a10

 help/ChangeLog                          |    5 +
 help/Makefile.am                        |    2 +-
 help/pt_BR/figures/gucharmap_window.png |  Bin 0 -> 35560 bytes
 help/pt_BR/pt_BR.po                     |  877 +++++++++++++++++++++++++++++++
 4 files changed, 883 insertions(+), 1 deletions(-)

commit f4cfea63110899ac16389064b894072ea8af3352
Author: ymarcheg <ymarcheg@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Mar 8 10:05:14 2008 +0000

    Updated Occitan translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1600 64437878-e825-0410-a939-de567e363a10

 po/oc.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6225dc39dbedee2ca2e15f5e4638afa1739a2c3f
Author: pmkovar <pmkovar@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Mar 8 01:35:11 2008 +0000

    cs.po: Updated Czech translation.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1599 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/cs.po     |  427 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 225 insertions(+), 206 deletions(-)

commit 4ca3a4f40ce4dcdc4bd4aef150adbfe31f8f9295
Author: mdziumanenko <mdziumanenko@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 7 14:06:09 2008 +0000

    2008-03-07 Maxim Dziumanenko <dziumanenko@gmail.com>
    
    	* Update Ukrainian translation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1594 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/uk.po     |  234 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 125 insertions(+), 113 deletions(-)

commit 673c3594ed76d194b395213dd19c4c272cfa55c1
Author: jwendell <jwendell@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Mar 7 14:05:08 2008 +0000

    Tribute to Raphael
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1593 64437878-e825-0410-a939-de567e363a10

 po/pt_BR.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4aeb87ca79f836ab78d9784927c5a1b9e0cf4dc3
Author: lferrett <lferrett@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Mar 5 08:24:37 2008 +0000

    2008-03-05  Luca Ferretti  <elle.uca@libero.it>
    
    	* it.po: Updated Italian translation.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1591 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/it.po     |   14 +++++++++++---
 2 files changed, 15 insertions(+), 3 deletions(-)

commit bba956834b3266409570a35da87ec7dec2c433be
Author: nshmyrev <nshmyrev@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 3 20:50:32 2008 +0000

    2008-03-03  Alexandre Prokoudine  <alexandre.prokoudine@gmail.com>
    
    	* ru.po: Updated Russian translation.
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1588 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/ru.po     |  236 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 126 insertions(+), 114 deletions(-)

commit 3d6944dcc9e78713923f4e8b4599aeff920f6580
Author: rahulb <rahulb@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Mar 3 15:52:43 2008 +0000

    Updated Marathi Translations
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1586 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/mr.po     |  177 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 92 insertions(+), 89 deletions(-)

commit ada766b02c0466b5cdc641b2e9ec815c3c221bd1
Author: jorgegonz <jorgegonz@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Mar 2 14:45:22 2008 +0000

    Updated Spanish translation
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1583 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/es.po     |   18 +++++++++---------
 2 files changed, 13 insertions(+), 9 deletions(-)

commit 194c83975d017592a106ca7a61f0c9b4bee05e88
Author: lferrett <lferrett@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Feb 27 13:30:36 2008 +0000

    2008-02-27  Luca Ferretti  <elle.uca@libero.it>
    
    	* it.po: Updated Italian translation.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1580 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/it.po     |  198 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 110 insertions(+), 92 deletions(-)

commit 62cc59a3b291606179a91fc70466dc7e77ee9724
Author: arangela <arangela@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Feb 27 00:18:42 2008 +0000

    Arangel Angov <arangel@linux.net.mk> * mk.po: Updated Macedonian translation
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1579 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/mk.po     |    6 +++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 0b5cfe4229414cd9487e3ffc7dd7ca3a0142a695
Author: cwryu <cwryu@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Feb 26 09:48:23 2008 +0000

    Updated Korean translation
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1576 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/ko.po     |  242 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 129 insertions(+), 117 deletions(-)

commit d8fa4871e7ca2f8d7fad58e6c72bd39db096e010
Author: zyang <zyang@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Feb 25 06:54:35 2008 +0000

    Updated zh_CN translation from gnome-2-22
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1574 64437878-e825-0410-a939-de567e363a10

 po/zh_CN.po |  411 ++++++++++++++++++++++++++++-------------------------------
 1 files changed, 194 insertions(+), 217 deletions(-)

commit f496ef751330b9d43f3abadf3018c695ab413b85
Author: arangela <arangela@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Feb 23 18:41:06 2008 +0000

    Arangel Angov <arangel@linux.net.mk> * mk.po: Updated Macedonian translation
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1572 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/mk.po     |  206 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 111 insertions(+), 99 deletions(-)

commit 78c3818b2923969dea08986f41cc5e065b7e59ab
Author: claudep <claudep@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Feb 22 15:46:40 2008 +0000

    2008-02-22  Claude Paroz  <claude@2xlibre.net>
    
    	* fr.po: Updated French translation (sync with gnome-2-22).
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1571 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/fr.po     |  232 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 124 insertions(+), 112 deletions(-)

commit 33e5b64a339c40f42300c1729512f7088a379570
Author: ymarcheg <ymarcheg@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Feb 19 21:46:10 2008 +0000

    Updated Occitan translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1568 64437878-e825-0410-a939-de567e363a10

 po/oc.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8b9a65284808c95a1356aff571d01203d2a16ce1
Author: wbolster <wbolster@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Feb 17 21:58:58 2008 +0000

    2008-02-17  Wouter Bolsterlee  <wbolster@svn.gnome.org>
    
    	* nl.po: Dutch translation updated by Wouter Bolsterlee.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1567 64437878-e825-0410-a939-de567e363a10

 po/nl.po |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a411cd753dac321a04094bb454e8c76eda8cc6e3
Author: wbolster <wbolster@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Feb 17 21:22:14 2008 +0000

    2008-02-17  Wouter Bolsterlee  <wbolster@svn.gnome.org>
    
    	* nl.po: Dutch translation updated by Wouter Bolsterlee.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1565 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |   34 +++++----
 po/nl.po     |  251 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 150 insertions(+), 135 deletions(-)

commit e6846a20dfa068b51ea3d0882f23e4a064d80136
Author: pclouds <pclouds@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Feb 17 02:20:22 2008 +0000

    2008-02-17  Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
    
    	* vi.po: Updated Vietnamese translation
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1563 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/vi.po     |    8 ++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit fa841933d0dd68fbf6e16af6899d2e375e0c33be
Author: gforcada <gforcada@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Feb 15 23:15:14 2008 +0000

    Updated Catalan translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1561 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/ca.po     |  230 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 123 insertions(+), 111 deletions(-)

commit 2410e5feeff9234a22308bf31af9066123aee86f
Author: pachimho <pachimho@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Feb 14 09:08:49 2008 +0000

    Updated Nepali Translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1560 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/ne.po     |  728 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 403 insertions(+), 329 deletions(-)

commit 9e61eadeb5f43682890c743fdd7685037816753f
Author: ituohela <ituohela@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Feb 14 04:17:45 2008 +0000

    Updated Finnish translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1558 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/fi.po     |   14 +++++++-------
 2 files changed, 11 insertions(+), 7 deletions(-)

commit 752bef8aa5f8932526e6b28abf2406470600e164
Author: chliao <chliao@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Feb 13 13:12:24 2008 +0000

    2008-02-13  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>
    
            * zh_HK.po: Updated Traditional Chinese translation(Hong Kong).
            * zh_TW.po: Updated Traditional Chinese translation(Taiwan).
    
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1557 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    5 +
 po/zh_HK.po  |  313 ++++++++++++++++++++++++++++------------------------------
 po/zh_TW.po  |  236 +++++++++++++++++++++++---------------------
 3 files changed, 280 insertions(+), 274 deletions(-)

commit f3a686c766e1bb65538980adac7f7793f3e74b77
Author: ituohela <ituohela@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Feb 13 09:44:26 2008 +0000

    Updated Finnish translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1556 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/fi.po     |  224 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 120 insertions(+), 108 deletions(-)

commit 35507a8fdc64629a4128eca65610cc357c5a0ac1
Author: aihana <aihana@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Feb 10 14:26:32 2008 +0000

    2008-02-10  Takeshi AIHANA <takeshi.aihana@gmail.com>
    
            * ja.po: Updated Japanese translation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1553 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/ja.po     |  268 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 141 insertions(+), 131 deletions(-)

commit b5417a5a47ca76bf14df58f17ec0f8ec66fbd587
Author: dnloreto <dnloreto@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Feb 9 23:43:18 2008 +0000

    2008-02-09  Duarte Loreto <happyguy_pt@hotmail.com>
    
    	* pt.po: Updated Portuguese translation.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1551 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/pt.po     |  234 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 125 insertions(+), 113 deletions(-)

commit 0906df0929e93a018cf5ce16b6114abe7b88f4a4
Author: icq <icq@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Feb 8 20:56:53 2008 +0000

    Updated Galician Translation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1549 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/gl.po     |    3 +--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 46583254297df913d4b9976337cca750385d6a20
Author: ymarcheg <ymarcheg@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Feb 4 12:32:45 2008 +0000

    Updated Occitan translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1545 64437878-e825-0410-a939-de567e363a10

 po/oc.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 1048b70f8b8f52fe1607f458bbd9ac48e044e951
Author: leonardof <leonardof@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Feb 2 20:14:34 2008 +0000

    2008-02-02  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>
    
    	* pt_BR.po: Updated Brazilian Portuguese translation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1544 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/pt_BR.po  |  224 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 120 insertions(+), 108 deletions(-)

commit 7fd69b715ac40b2584dfc0af9001e692d36d73d6
Author: plaes <plaes@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Feb 1 09:01:08 2008 +0000

    2008-02-01  Priit Laes  <plaes at svn dot gnome dot org>
    
    	* et.po: Translation updated by Ivar Smolin
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1543 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/et.po     |  178 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 93 insertions(+), 89 deletions(-)

commit a83613354a2bbbd0d65be9bc29abb6eddb272873
Author: djihed <djihed@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Jan 31 08:21:30 2008 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1542 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 0a95ddc678ed9501cd914e0a266ae42dd14bd0d2
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Jan 29 21:53:51 2008 +0000

    2008-01-29  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap.pc.in:
    	* gucharmap/gucharmap-chapters.c: (gucharmap_chapters_constructor):
    	Merge from 2-22 branch.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1538 64437878-e825-0410-a939-de567e363a10

 ChangeLog                      |    6 ++++++
 configure.ac                   |    2 +-
 gucharmap.pc.in                |    3 ++-
 gucharmap/gucharmap-chapters.c |    2 ++
 4 files changed, 11 insertions(+), 2 deletions(-)

commit d3e429c0c97f707b9f496535ccbca40d72397417
Author: icq <icq@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Jan 22 23:31:12 2008 +0000

    Updated Galician Translation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1535 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/gl.po     |  286 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 155 insertions(+), 135 deletions(-)

commit d9b9e325746ea000c751fd60027dfedbe58e2ec4
Author: rahulb <rahulb@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Jan 16 14:38:21 2008 +0000

    Updated Marathi translations
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1533 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/mr.po     |  201 ++++++++++++++++++++++++++-------------------------------
 2 files changed, 96 insertions(+), 109 deletions(-)

commit 2c01114294322fa502762d7099b9921182c1a9a4
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Jan 15 18:34:27 2008 +0000

    2008-01-15  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap.desktop.in: Use icon name without png extension.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1532 64437878-e825-0410-a939-de567e363a10

 gucharmap.desktop.in.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f0959402bf6fdb737664a7640857a55aae4a59f6
Author: gintas <gintas@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Jan 14 15:37:51 2008 +0000

    2008-01-14  Gintautas Miliauskas  <gintas@akl.lt>
    
    	* lt.po: Updated Lithuanian translation.
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1526 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/lt.po     |  240 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 128 insertions(+), 116 deletions(-)

commit 7d85320823185cbaeab8952a92ad1c721bdc66e7
Author: dooteo <dooteo@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Jan 14 15:29:02 2008 +0000

    2008-01-14  Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>
    
    	* eu.po: Updated Basque translation.
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1525 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |   13 ++-
 po/eu.po     |  309 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 166 insertions(+), 156 deletions(-)

commit 803f87c6f85a2e86020a0c1368f43c3ba9fe2113
Author: djihed <djihed@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Jan 12 01:06:53 2008 +0000

    Updated Arabic Translation by Khaled Hosny. . Also QA'ed by Khaled.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1521 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/ar.po     |  244 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 127 insertions(+), 121 deletions(-)

commit cedc0c6eca79ae3bebb79c34f1b968263c95ccd4
Author: cwryu <cwryu@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Jan 8 07:26:38 2008 +0000

    Added screenshot.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1518 64437878-e825-0410-a939-de567e363a10

 help/ChangeLog                       |   14 ++++++++++----
 help/ko/figures/gucharmap_window.png |  Bin 0 -> 42566 bytes
 help/ko/ko.po                        |    8 ++++----
 3 files changed, 14 insertions(+), 8 deletions(-)

commit 5a2e8a875f03f4c42a59c286c8c828737eedb67c
Author: yairhr <yairhr@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Jan 6 16:09:17 2008 +0000

    added hebrew translation
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1515 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/LINGUAS   |    1 +
 po/he.po     | 1209 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 1214 insertions(+), 0 deletions(-)

commit f9d65024929fbf0452bba4f9f0422416d5c19816
Author: clyties <clyties@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Jan 5 10:23:42 2008 +0000

    Updated Vietnamese translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1514 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/vi.po     |  320 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 168 insertions(+), 156 deletions(-)

commit 3ada1dd3bc6cd4e7553b2f74de07733c7a97b702
Author: ymarcheg <ymarcheg@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Dec 31 21:07:01 2007 +0000

    Updated Occitan translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1513 64437878-e825-0410-a939-de567e363a10

 help/ChangeLog |    5 +-
 help/oc/oc.po  |    8 +-
 po/ChangeLog   |    5 +-
 po/oc.po       |  229 ++++++++++++++++++++++++++++---------------------------
 4 files changed, 129 insertions(+), 118 deletions(-)

commit ee1d0642e8cd56e244fd4e730686df6783c45d70
Author: rahulb <rahulb@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Dec 28 11:44:18 2007 +0000

    Updated Marathi Translations
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1512 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/mr.po     |  784 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 414 insertions(+), 374 deletions(-)

commit e6d3e6097d9e3dcaf230ca282651220433495b57
Author: sdeburca <sdeburca@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Dec 28 07:34:56 2007 +0000

    2007-12-28  Seán de Búrca  <sdeburca@svn.gnome.org>
    
        * ga.po: Updated Irish translation.
        * POTFILES.in: Updated .desktop location.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1511 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog   |    5 +++++
 po/POTFILES.in |    2 +-
 po/ga.po       |   16 ++++++++--------
 3 files changed, 14 insertions(+), 9 deletions(-)

commit 3e91113efbd5d9a6947d62b6306e1e9b31a25992
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 26 13:25:17 2007 +0000

    Add the gucharmap version to the desktop file.
    Clean up EXTRA_DISTS in the toplevel Makefile.am; there's no need to dist
    anything that's already disted as a dependency of AC_CONFIG_FILES.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1510 64437878-e825-0410-a939-de567e363a10

 ChangeLog               |    6 ++++++
 Makefile.am             |   25 +++++++++++++++----------
 configure.ac            |    1 +
 gucharmap.desktop.in    |   13 -------------
 gucharmap.desktop.in.in |   14 ++++++++++++++
 5 files changed, 36 insertions(+), 23 deletions(-)

commit e2eba4987779baad2afe6b47870cd24bfe29d226
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Dec 25 08:53:35 2007 +0000

    2007-12-25  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap/gucharmap-table.c:
    	(gucharmap_table_set_codepoint_list): Check for NULL before unref'ing.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1509 64437878-e825-0410-a939-de567e363a10

 ChangeLog                   |    5 +++++
 gucharmap/gucharmap-table.c |    3 ++-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 5d403209b189631ea01e76ff8c9699d646a4c611
Author: djihed <djihed@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Dec 23 12:00:31 2007 +0000

    Updated Arabic Translation by Djihed Afifi.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1508 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/ar.po     |  245 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 130 insertions(+), 119 deletions(-)

commit 044845ba960236c49ffcc36017cc820f8ac49db8
Author: sdeburca <sdeburca@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Dec 20 19:18:32 2007 +0000

    2007-12-20  Seán de Búrca  <sdeburca@svn.gnome.org>
    
        * ga.po: Updated Irish translation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1507 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/ga.po     | 1170 +++++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 704 insertions(+), 470 deletions(-)

commit f27abe1431aa5463f60cfeec7ca6a326a7b24dde
Author: mateju <mateju@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Dec 20 13:17:40 2007 +0000

    Updated Slovenian translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1506 64437878-e825-0410-a939-de567e363a10

 po/sl.po |   24 +++++++++++++++++++-----
 1 files changed, 19 insertions(+), 5 deletions(-)

commit 63e7eb087d930bc54d8e313453925e47e2c452fe
Author: pkst <pkst@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Dec 20 11:27:25 2007 +0000

    Updated Greek translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1505 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/el.po     |  242 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 129 insertions(+), 117 deletions(-)

commit 957eeeaeb60d7d37940627131989c5c80fa93b84
Author: plaes <plaes@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Dec 18 09:30:05 2007 +0000

    2007-12-18  Priit Laes  <plaes@svn.gnome.org>
    
    	* et.po: Translation updated by Ivar Smolin.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1504 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/et.po     |  234 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 125 insertions(+), 113 deletions(-)

commit 4e3fd1a4eda5844ebf21a8571baf5af419388443
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Dec 17 18:42:03 2007 +0000

    Post release version bump
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1502 64437878-e825-0410-a939-de567e363a10

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cc73122d2f0541347bdaef711f5bd9ec1318006c
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Dec 17 18:41:28 2007 +0000

    2007-12-17  Christian Persch  <chpe@gnome.org>
    
    	=== Release 2.21.4 ===
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1500 64437878-e825-0410-a939-de567e363a10

 ChangeLog |    4 ++++
 NEWS      |    9 +++++++++
 2 files changed, 13 insertions(+), 0 deletions(-)

commit 0e10516fe210e9b175e38d776193b8256e644e36
Author: dnylande <dnylande@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Dec 16 14:47:06 2007 +0000

    sv.po: Swedish translation updated
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1499 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/sv.po     |  228 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 122 insertions(+), 110 deletions(-)

commit 2342d4db5f26f3c030e4eb9af0935c4f4adf85f6
Author: jorgegonz <jorgegonz@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Dec 15 20:58:31 2007 +0000

    Updated Spanish translation
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1498 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/es.po     |   31 ++++++++++++++++++++++---------
 2 files changed, 26 insertions(+), 9 deletions(-)

commit 8d3946a3f1a36c8d4cdc6132147027b91b3b72ad
Author: kmaraas <kmaraas@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Dec 15 11:34:40 2007 +0000

    2007-12-15  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* POTFILES.in: Add missing files.
    	* nb.po: Updated Norwegian bokmål translation.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1497 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog   |    5 ++
 po/POTFILES.in |    2 +
 po/nb.po       |  167 +++++++++++++++++++++++++++----------------------------
 3 files changed, 89 insertions(+), 85 deletions(-)

commit 19f91fa12608afcfa0dfcbf07517ca8c0ed40b40
Author: mateju <mateju@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Dec 13 16:09:56 2007 +0000

    Updated Slovenian translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1496 64437878-e825-0410-a939-de567e363a10

 po/sl.po |  158 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 72 insertions(+), 86 deletions(-)

commit d43470eaa3adec20f2c588737e5e29383ab2b0f8
Author: jorgegonz <jorgegonz@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Dec 13 14:03:04 2007 +0000

    Updated Spanish translation
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1495 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++
 po/es.po     |  159 ++++++++++++++++++++++++++-------------------------------
 2 files changed, 77 insertions(+), 86 deletions(-)

commit 4ba32ef81071d91b32e0d6f5815173234d7a02d1
Author: behdad <behdad@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Dec 13 07:37:58 2007 +0000

    2007-12-13  Behdad Esfahbod  <behdad@gnome.org>
    
            * MAINTAINERS: Remove Noah, add chpe.
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1494 64437878-e825-0410-a939-de567e363a10

 ChangeLog   |    4 ++++
 MAINTAINERS |    8 ++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 43e3e738e564d808e9eaa48b6ca14b2de3ae554f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:33:26 2007 +0000

    2007-12-12  Christian Persch  <chpe@gnome.org>
    
    	* *: Update FSF address. Bug #407323.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1493 64437878-e825-0410-a939-de567e363a10

 COPYING                                         |    4 ++--
 COPYING.LIB                                     |    4 ++--
 ChangeLog                                       |    4 ++++
 Makefile.am                                     |    2 +-
 configure.ac                                    |    2 +-
 gucharmap.nsi.in                                |    2 +-
 gucharmap/Makefile.am                           |    2 +-
 gucharmap/gucharmap-block-chapters-model.c      |    2 +-
 gucharmap/gucharmap-block-chapters-model.h      |    2 +-
 gucharmap/gucharmap-block-chapters.c            |    2 +-
 gucharmap/gucharmap-block-chapters.h            |    2 +-
 gucharmap/gucharmap-chapters-model.c            |    2 +-
 gucharmap/gucharmap-chapters-model.h            |    2 +-
 gucharmap/gucharmap-chapters-view.c             |    2 +-
 gucharmap/gucharmap-chapters-view.h             |    2 +-
 gucharmap/gucharmap-chapters.c                  |    2 +-
 gucharmap/gucharmap-chapters.h                  |    2 +-
 gucharmap/gucharmap-charmap.c                   |    2 +-
 gucharmap/gucharmap-charmap.h                   |    2 +-
 gucharmap/gucharmap-chartable-accessible.c      |    4 ++--
 gucharmap/gucharmap-chartable-accessible.h      |    4 ++--
 gucharmap/gucharmap-chartable-cell-accessible.c |    4 ++--
 gucharmap/gucharmap-chartable-cell-accessible.h |    4 ++--
 gucharmap/gucharmap-chartable-private.h         |    2 +-
 gucharmap/gucharmap-chartable.c                 |    2 +-
 gucharmap/gucharmap-chartable.h                 |    2 +-
 gucharmap/gucharmap-codepoint-list.c            |    2 +-
 gucharmap/gucharmap-codepoint-list.h            |    2 +-
 gucharmap/gucharmap-mini-fontsel.c              |    2 +-
 gucharmap/gucharmap-mini-fontsel.h              |    2 +-
 gucharmap/gucharmap-script-chapters-model.c     |    2 +-
 gucharmap/gucharmap-script-chapters-model.h     |    2 +-
 gucharmap/gucharmap-script-chapters.c           |    2 +-
 gucharmap/gucharmap-script-chapters.h           |    2 +-
 gucharmap/gucharmap-script-codepoint-list.c     |    2 +-
 gucharmap/gucharmap-script-codepoint-list.h     |    2 +-
 gucharmap/gucharmap-search-dialog.c             |    2 +-
 gucharmap/gucharmap-search-dialog.h             |    2 +-
 gucharmap/gucharmap-settings.c                  |    2 +-
 gucharmap/gucharmap-settings.h                  |    2 +-
 gucharmap/gucharmap-table.c                     |    2 +-
 gucharmap/gucharmap-table.h                     |    2 +-
 gucharmap/gucharmap-unicode-info.c              |    2 +-
 gucharmap/gucharmap-unicode-info.h              |    2 +-
 gucharmap/gucharmap-window.c                    |    4 ++--
 gucharmap/gucharmap-window.h                    |    2 +-
 gucharmap/gucharmap.h                           |    2 +-
 gucharmap/main.c                                |    2 +-
 pixmaps/Makefile.am                             |    2 +-
 49 files changed, 59 insertions(+), 55 deletions(-)

commit 58636dac140b6a071cc38888779dbcabf5ed6e47
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:16:28 2007 +0000

    Make snap-pow2 a gobject property.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1492 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   21 ++++++++++++++++++++-
 1 files changed, 20 insertions(+), 1 deletions(-)

commit a23f5f39d5ad7bd1ae3afefc8796c64c2b1902c6
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:16:21 2007 +0000

    Add a bit of ChangeLog for the previous dcommits.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1491 64437878-e825-0410-a939-de567e363a10

 ChangeLog |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit f6e3b044bf17e5ab3b8002099d3b31aa3c52e4e3
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:16:13 2007 +0000

    Ensure the page_first_cell is never < 0.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1490 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 023068292e3130cd5d266466377f0947d36a9753
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:16:05 2007 +0000

    Remove unused vars.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1489 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit fa92492b9b1f30e23f07c83ab114dd0e83a8e038
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:15:58 2007 +0000

    Document table geometry.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1488 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit bfbeca75583aa8ff62a6d8490a1e06a49aee6d5f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:15:51 2007 +0000

    Compute the number of padded rows/columns on size-allocate.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1487 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-private.h |    2 ++
 gucharmap/gucharmap-chartable.c         |   15 +++++----------
 2 files changed, 7 insertions(+), 10 deletions(-)

commit 6a3c40782f2155775a394f00f74208157c1946ca
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:15:43 2007 +0000

    Compute the minimum row height and column width on size-allocate.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1486 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-private.h |   10 ++++---
 gucharmap/gucharmap-chartable.c         |   41 +++++++++----------------------
 2 files changed, 18 insertions(+), 33 deletions(-)

commit 2e41733399a1146d6626f869275e5a3db0b6232c
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:15:24 2007 +0000

    Remove unneeded prototype.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1485 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 4537cedba6e55386e1ae82aec043e9f81713479b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:15:16 2007 +0000

    Code reformatting for better readability.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1484 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit c065b56dd775c22eeadd08dd6dc0b3c6440a15d2
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:15:08 2007 +0000

    No need to cast to int, these are already ints.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1483 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit 2e79ac43dc3d8fe1634094bbd2d975e1f5635750
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:15:01 2007 +0000

    Add some comments.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1482 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-private.h |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 793b9b23e6e69d61568512bee6aed6968cf9a655
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:14:54 2007 +0000

    Rename function.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1481 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   22 ++++++++++++----------
 1 files changed, 12 insertions(+), 10 deletions(-)

commit 5292b7d7165340ed31c7c7763ccf9e104c302e6b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:14:46 2007 +0000

    Store rows * cols as page_size.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1480 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-private.h |    4 +++-
 gucharmap/gucharmap-chartable.c         |    8 +++++---
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 75644973311fa697c312ea56b71533c9a08e7aca
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:14:35 2007 +0000

    Make the codepoint list a gobject property, and make gucharmap_chartable_set_codepoint_list
    not adopt the refcount but add its own.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1479 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   50 ++++++++++++++++++++++++++++-----------
 gucharmap/gucharmap-chartable.h |    1 +
 gucharmap/gucharmap-table.c     |    1 +
 3 files changed, 38 insertions(+), 14 deletions(-)

commit 87db0ebba200e6a6410ed7f4f1653e4927c3db38
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:14:27 2007 +0000

    Shorten signal slot name.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1478 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-private.h |    2 +-
 gucharmap/gucharmap-chartable.c         |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6511d52625e4dbcb227bf127005c20217d692ffb
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:14:20 2007 +0000

    Remove useless asserts. The conditions cannot be false because of how these functions
    are called.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1477 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c      |    8 --------
 gucharmap/gucharmap-chartable-cell-accessible.c |   17 +++--------------
 2 files changed, 3 insertions(+), 22 deletions(-)

commit 5f77d26381856bbf9ba2d0d3ce491f1be657e552
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:14:12 2007 +0000

    Clarify comment about not using g_param_spec_unichar on purpose.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1476 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 20721b388bc22441a5c7f705e8cd8fe756217f64
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:13:59 2007 +0000

    Extra parens.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1475 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 092ad082fd7443121f1f9036864e954618e5fcbb
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:13:49 2007 +0000

    Set the drawing pixmap to NULL on realize.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1474 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit cfb1521e2adc94932323121e26670f8962054059
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:13:41 2007 +0000

    Add debug menu item to move the window to the next screen (#if 0'd).
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1473 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |   34 +++++++++++++++++++++++++++++++++-
 1 files changed, 33 insertions(+), 1 deletions(-)

commit d4fce6ff0b5e21b34f97fe0eab113e0493f23bad
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:13:34 2007 +0000

    Add myself to ©.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1472 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c      |    2 ++
 gucharmap/gucharmap-chartable-accessible.h      |    1 +
 gucharmap/gucharmap-chartable-cell-accessible.c |    1 +
 3 files changed, 4 insertions(+), 0 deletions(-)

commit 30e6d231211ac17eda14d7b06ed155cc4db7ea3d
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:13:27 2007 +0000

    Rewrite the get_type function using ATK_DEFINE_TYPE_WITH_CODE (#if 0'd until
    the patch gets committed to atk).
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1471 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit ecf420a85d34b49e135ba357ae2cacb6c1bfbf1e
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:13:20 2007 +0000

    Can't put the data in the GucharmapChartableAccessible struct, because the size of the
    parent instance is unknown at compile time. Use gobject instance private data
    instead.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1470 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c |  123 ++++++++++++++++------------
 gucharmap/gucharmap-chartable-accessible.h |   14 ---
 2 files changed, 70 insertions(+), 67 deletions(-)

commit eb47193fe8880f0c227b6ab56812c0e15b7f3be0
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:13:13 2007 +0000

    Fix about dialogue to use "program-name" property.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1469 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d5b651fd7255bd5704aaa491051d22c766a7ea01
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:13:02 2007 +0000

    g_free is NULL-safe.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1468 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-cell-accessible.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit dd4e8740ec5862bb14eb08822a412e1a69c1aeb9
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:12:53 2007 +0000

    Remove explicit redraw, since set_active_character does it already.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1467 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-cell-accessible.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5350fae69ddd20a71aa9e5f7233931deca681493
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:12:45 2007 +0000

    set_active_character already redraws the table, don't do it twice.
    The "activate" signal param was removed, fix it.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1466 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-cell-accessible.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 242fc4f4567eb02ff8b1d049219608c65b0f3bbd
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:12:33 2007 +0000

    Make some g_return_if_fail into assertions.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1465 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-cell-accessible.c |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

commit 23c0e738d6cb5507094862fa3cb23d923d2bfede
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:12:23 2007 +0000

    The cell accessible stores the index already, so just store the cell accessible
    itself in the cache, and make the cache a GPtrArray.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1464 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c |   64 +++++++++++++--------------
 gucharmap/gucharmap-chartable-accessible.h |    2 +-
 2 files changed, 32 insertions(+), 34 deletions(-)

commit 79361ac2c5b0e4d1144e83b37aad8890a7d2ea90
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:12:14 2007 +0000

    Store the focus object in the accessible, not as gobject data!
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1463 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c |   58 ++++++++++++----------------
 gucharmap/gucharmap-chartable-accessible.h |    1 +
 2 files changed, 26 insertions(+), 33 deletions(-)

commit 2c2ef496b30bf80f07589be25a631ffafbf468ae
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:12:03 2007 +0000

    Use an array for the cell accessibles cache, not a GList!
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1462 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c |  228 ++++++++++------------------
 gucharmap/gucharmap-chartable-accessible.h |    2 +-
 2 files changed, 78 insertions(+), 152 deletions(-)

commit b54eb513f9b76bb0bd9083b3b134463deafca760
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:11:53 2007 +0000

    Store the cell list in the accessible, not as gobject data.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1461 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c |   11 ++++-------
 gucharmap/gucharmap-chartable-accessible.h |    1 +
 2 files changed, 5 insertions(+), 7 deletions(-)

commit ecff838b3bb1a13c13e8e137c811818757b08457
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:11:46 2007 +0000

    Set the back pixmap to NULL on realize, not on every expose event.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1460 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit a4fb41a68e11efb684d18dbcc6b563b75dab0b36
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:11:38 2007 +0000

    Don't crash in expose when we haven't got a codepoint list.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1459 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 53856ee9b8dfb5e9ef78e61ad902716b211a7616
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:11:31 2007 +0000

    Fix the .pc file.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1458 64437878-e825-0410-a939-de567e363a10

 configure.ac |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 8f84631907e678d329fea776e7e9d40135982a2b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:11:24 2007 +0000

    Add comment.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1457 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 242a79d769ff25c93d99a0906e5767ceddc8406b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:11:16 2007 +0000

    The chartable is the widget itself, not its parent.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1456 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c |   64 +++++++---------------------
 1 files changed, 15 insertions(+), 49 deletions(-)

commit d16821d127d93cc459849bc298d4c3d666c6eb90
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:11:09 2007 +0000

    Set up the accessible with the adjustments.
    Clean up the accessible on destroy.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1455 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c |  107 ++++++++++++++++++++++++----
 gucharmap/gucharmap-chartable-accessible.h |    2 +
 gucharmap/gucharmap-chartable.c            |    3 -
 3 files changed, 96 insertions(+), 16 deletions(-)

commit 273a198a4ceb59357875532bc60d2e42b2029822
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:11:02 2007 +0000

    More API compat.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1454 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-table.c |   32 ++++++++++++++++----------------
 gucharmap/gucharmap-table.h |    2 +-
 2 files changed, 17 insertions(+), 17 deletions(-)

commit 4b76d55f76905e28f666652b55c75e2355f38fdd
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:10:55 2007 +0000

    Remove GNOMEPKGS.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1453 64437878-e825-0410-a939-de567e363a10

 gucharmap.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3308c4929b027fa6fdafb784bf5326937d3e9f13
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:10:48 2007 +0000

    No need to reposition the popup in the expose handler!!!
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1452 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   13 -------------
 1 files changed, 0 insertions(+), 13 deletions(-)

commit 3da7562b2dde255b1f608b605a1a22997dcb7f13
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:10:40 2007 +0000

    Comment out the expose event debugging code.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1451 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1421f5d91302f169d3365fb0a21ec52ae6bf0ac9
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:10:33 2007 +0000

    Fix comment.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1450 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4e7ab7c2e9e35677f0f2113f102a29bfd0d468bc
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:10:25 2007 +0000

    Don't always create the accessible; override get_accessible in the widget class instead,
    and register our factory there before chaining up.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1449 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c |    2 +
 gucharmap/gucharmap-chartable.c            |   57 +++++++++++++++++++--------
 gucharmap/gucharmap-intl.h                 |    2 -
 3 files changed, 42 insertions(+), 19 deletions(-)

commit be71763dab1991643897542b7016bfb04f32a008
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:10:16 2007 +0000

    Update the adjustment after setting it.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1448 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit 1c9912a051bce36c7700c7fda32229f722b7a26f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:10:08 2007 +0000

    Use G_DEFINE_TYPE.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1447 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-codepoint-list.c        |   31 +++++---------------------
 gucharmap/gucharmap-mini-fontsel.c          |   30 +-------------------------
 gucharmap/gucharmap-script-codepoint-list.c |   28 +-----------------------
 gucharmap/gucharmap-search-dialog.c         |   27 +----------------------
 gucharmap/gucharmap-window.c                |   31 +-------------------------
 5 files changed, 11 insertions(+), 136 deletions(-)

commit 1117c2921bf58913ed5537c8fd76dd83a0461685
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:09:59 2007 +0000

    Make the zoom popup a GTK_WINDOW_POPUP type window. This goes a long way to fix the
    slow zoom popup updating problem (the exposes themselves are still slow though).
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1446 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   14 +++++---------
 1 files changed, 5 insertions(+), 9 deletions(-)

commit 65914a44b8378b43cedc0e2de3553882f8999694
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:09:52 2007 +0000

    Add comment.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1445 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 8d30af8f6e9f97fa7c91059cbd32aca409fad6d3
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:09:44 2007 +0000

    Don't leak the rectangles.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1444 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 14f14de1631fa4c9f575b208f487d0fa955146bd
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:09:37 2007 +0000

    Try drawing each region separately instead of copying the whole bounding rectangle
    in the expose handler. Doesn't fix the popup drawing slowness though...
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1443 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

commit b1f5dd978fae659ec9e40262f4330077bcac6cd7
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:09:28 2007 +0000

    Add expose event debug output.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1442 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 85034da704ea43df717c02866d64f7193b626ec5
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:09:20 2007 +0000

    Add FIXME comment.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1441 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7f4abd4e3c07dbe61b712c66ce5ea7740c77d6ea
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:09:12 2007 +0000

    Fix accessible type implementations.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1440 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable-accessible.c      |  135 +++++++--------
 gucharmap/gucharmap-chartable-accessible.h      |    4 +-
 gucharmap/gucharmap-chartable-cell-accessible.c |  213 +++++++++--------------
 gucharmap/gucharmap-chartable-cell-accessible.h |    8 +-
 gucharmap/gucharmap-chartable.c                 |  118 +++++--------
 5 files changed, 201 insertions(+), 277 deletions(-)

commit 322b6e8926719c27ffcd64098f911085d017f772
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:09:03 2007 +0000

    Fix the build of the atk object.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1439 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am                           |   89 ++--
 gucharmap/charcell_accessible.c                 |  432 -------------
 gucharmap/charcell_accessible.h                 |   80 ---
 gucharmap/chartable_accessible.c                |  776 -----------------------
 gucharmap/chartable_accessible.h                |   62 --
 gucharmap/gucharmap-charmap.c                   |    2 -
 gucharmap/gucharmap-charmap.h                   |    1 -
 gucharmap/gucharmap-chartable-accessible.c      |  773 ++++++++++++++++++++++
 gucharmap/gucharmap-chartable-accessible.h      |   52 ++
 gucharmap/gucharmap-chartable-cell-accessible.c |  430 +++++++++++++
 gucharmap/gucharmap-chartable-cell-accessible.h |   71 ++
 gucharmap/gucharmap-chartable-private.h         |   60 ++
 gucharmap/gucharmap-chartable.c                 |   71 +--
 gucharmap/gucharmap-chartable.h                 |    1 -
 gucharmap/gucharmap-table.h                     |    1 -
 gucharmap/gucharmap-window.c                    |    1 -
 16 files changed, 1436 insertions(+), 1466 deletions(-)

commit f360e45f40f924e3e378bf28c55e79a35d88397b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:08:55 2007 +0000

    Move code around.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1438 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |  172 ++++++++++++++++++++-------------------
 1 files changed, 87 insertions(+), 85 deletions(-)

commit 6e7f81695ce9ba67a72f6f93202ff11c325387cf
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:08:48 2007 +0000

    Add API docs.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1437 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   61 ++++++++++++++++++++++++++++++++++++--
 1 files changed, 57 insertions(+), 4 deletions(-)

commit ae2c8e7dc07527066eea55786115ad2820a0e452
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:08:41 2007 +0000

    Make the active char an object property, and remove the set-active-char signal.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1436 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   74 +++++++++++++++++++++++++++++++-------
 gucharmap/gucharmap-table.c     |    9 +++--
 2 files changed, 65 insertions(+), 18 deletions(-)

commit 7e11cd29d28dbe8aad158d74460120d961539ba6
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:08:33 2007 +0000

    Remove comment about drag-begin; we connect to it so we can override the drag icon.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1435 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 6ae6aca537ee5ca4002342718cad818c63825b23
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:08:25 2007 +0000

    Remove commented code.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1434 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 55a1a783273ce4324c83c7178e3e7c4b896dd2fc
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:08:18 2007 +0000

    Remove font_name.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1433 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit a84b139ebbde30a8fb881a016df53d46f81ffe16
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:08:11 2007 +0000

    Code formatting.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1432 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 56f5ae3ad40983f3840695882eca84dcea1d60b7
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:08:03 2007 +0000

    Use a bitfield.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1431 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3bed73e1186a625cf0b16eaf747c336b4dbec750
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:07:55 2007 +0000

    Rename function.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1430 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 677915d5ff2582c6ac43b549e8e01915b076adae
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:07:48 2007 +0000

    Compute drag font size when setting the font desc.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1429 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   16 +++++-----------
 1 files changed, 5 insertions(+), 11 deletions(-)

commit 7aac84e0e576a6eb373263256b1cff0293d77e2a
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:07:39 2007 +0000

    Unify set_zoom_enabled/disabled.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1428 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   46 +++++++++++++++++++++++++-------------
 gucharmap/gucharmap-chartable.h |    4 +-
 gucharmap/gucharmap-table.c     |    4 +-
 3 files changed, 34 insertions(+), 20 deletions(-)

commit 00aeac74906fad896fa6d9c2c9e192d4138f5f87
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:07:31 2007 +0000

    Add doc.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1427 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit c9ea9fffe30bce5de11abf67a2b39e4c763c7e8a
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:07:24 2007 +0000

    Remove comment.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1426 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit c36dbe07a639529d50fc1676c5156df986945819
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:07:16 2007 +0000

    Move drag-data-get/received and drag-begin handlers to class closures.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1425 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |  192 +++++++++++++++++++-------------------
 1 files changed, 96 insertions(+), 96 deletions(-)

commit 4ede4b93eeba39f127c6f30c11e081b64a24adf4
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:07:09 2007 +0000

    Move code around.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1424 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   59 ++++++++++++++++++--------------------
 1 files changed, 28 insertions(+), 31 deletions(-)

commit 618439078392954069e4b40b3d65a0664650fee1
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:07:02 2007 +0000

    Fix double click activation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1423 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 289c3b95379f4409f0c0e42bd68701bc1f26fa01
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:06:55 2007 +0000

    Make button-press/release and motion-notify class closures.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1422 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |  209 ++++++++++++++++++++-------------------
 1 files changed, 109 insertions(+), 100 deletions(-)

commit 66d256073e75d26b52c9e4f7eeb25d2876dbbce1
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:06:47 2007 +0000

    Use the bindings set to emit the activate signal.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1421 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   31 ++++++++++++++++++++-----------
 gucharmap/gucharmap-table.c     |    5 +++--
 2 files changed, 23 insertions(+), 13 deletions(-)

commit 957f785e636e5a3214a62b7d68d6d84ddaac8b8f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:06:40 2007 +0000

    Make key-press/release class closures.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1420 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |  100 +++++++++++++++++++--------------------
 1 files changed, 49 insertions(+), 51 deletions(-)

commit a1725a479046c13fa103b09ff7cf84270cc4befe
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:06:33 2007 +0000

    Remove the mouse wheel code; the scrolled window is handling that already perfectly.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1419 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   57 +--------------------------------------
 1 files changed, 1 insertions(+), 56 deletions(-)

commit c3f1071b975b95447ea8d8d108860454b95fbefb
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:06:26 2007 +0000

    Make focus-in/out class closures.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1418 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   77 ++++++++++++++++-----------------------
 1 files changed, 31 insertions(+), 46 deletions(-)

commit 8b1e813566c83b6a786a29a6da4ef2147705e0c8
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:06:19 2007 +0000

    Done.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1417 64437878-e825-0410-a939-de567e363a10

 TODO |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f1fc1c3e31aa4945b806087208223210dd6d2ab2
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:06:11 2007 +0000

    Make keybindings use the bindings set.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1416 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c  |  394 +++++++++++++++++++++++++-------------
 gucharmap/gucharmap-marshal.list |    1 +
 2 files changed, 264 insertions(+), 131 deletions(-)

commit 9850792a91b4ecaf9dbcc9b77c647da4ed2e1481
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:06:01 2007 +0000

    Request the minimal size of one cell.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1415 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 600a9236eb3ab6a154e4b949569ad0701ee9820b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:05:54 2007 +0000

    Only update the details page when it's shown.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1414 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-charmap.c |   28 +++++++++++++++++++++++++---
 gucharmap/gucharmap-charmap.h |    4 ++--
 2 files changed, 27 insertions(+), 5 deletions(-)

commit 48cf1d5cda71cf9e862b6cff5f4b26f5a37487f5
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:05:47 2007 +0000

    Store the last_cell when setting the codepoint list instead of getting it
    from the codepoint list every time.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1413 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   55 +++++++++++++++++++--------------------
 1 files changed, 27 insertions(+), 28 deletions(-)

commit dbd1d4723143e70ef252f695e3b071d35c4da65b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:05:39 2007 +0000

    Compute the minimum col width and row height when setting the font description,
    and store the result.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1412 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   35 +++++++++++++++--------------------
 1 files changed, 15 insertions(+), 20 deletions(-)

commit 8af54f08d7e07ffa707ef9e1316d7cecba58ec9b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:05:32 2007 +0000

    Move updating the font_desc into its own utility function since it needs to be done
    from two places: style-set handler, and when setting a new font.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1411 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   50 ++++++++++++++++++++++----------------
 1 files changed, 29 insertions(+), 21 deletions(-)

commit 957ec99f977808fa56520ad426dfc7c5ad7e3637
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:05:24 2007 +0000

    Make expose event handler a class closure.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1410 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

commit d828dacc12efe49bf9c7ac8145b61671ab8a513d
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:05:13 2007 +0000

    Don't modify the widget's style's font; use our own font descriptor instead.
    Fixes zoom and drag popup font names being zoomed as well as the glyph itself.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1409 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   67 +++++++++++++++++++--------------------
 1 files changed, 33 insertions(+), 34 deletions(-)

commit 3686410b2d37f2d93b443db162acb731346aa86f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:05:02 2007 +0000

    Make the style-set handler re-create the pango layout.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1408 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   64 ++++++++++++++++++--------------------
 1 files changed, 30 insertions(+), 34 deletions(-)

commit 0127761442e853a478f304d1767e85e6ee9a1f2f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:04:52 2007 +0000

    Remove DONEs.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1407 64437878-e825-0410-a939-de567e363a10

 TODO |   64 +++-------------------------------------------------------------
 1 files changed, 3 insertions(+), 61 deletions(-)

commit d68eddcb1a468692b68c8b74076d2a50d1251c72
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:04:42 2007 +0000

    Forward signals from the real chartable.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1406 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-table.c |   18 +++++++++++++++++-
 1 files changed, 17 insertions(+), 1 deletions(-)

commit 640fafec1d50f8d9083b3ea4aef314d630b6e8d6
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:04:32 2007 +0000

    Make style-set a class closure.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1405 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-chartable.c |   35 +++++++++++++++++++++--------------
 1 files changed, 21 insertions(+), 14 deletions(-)

commit 777a81972033ab66c61b38c6cfe8f1642f5a99f6
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:04:19 2007 +0000

    Add AM_PROG_CC_C_O.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1404 64437878-e825-0410-a939-de567e363a10

 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit e57b355a8a23c0bdeb5d03b303f3f95b3ab0f195
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:04:08 2007 +0000

    Move the bulk of the chartable from GucharmapTable to GucharmapChartable,
    removing the hbox wrapper and just making it a GtkDrawingArea directly.
    Make it a native scrollable widget by implementing a set_scroll_adjustements
    signal in the class.
    Make GucharmapTable a thin wrapper containing just a scrolled window and in it
    the real chartable; forward all methods to the real chartable.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1403 64437878-e825-0410-a939-de567e363a10

 gucharmap/chartable_accessible.c        |    2 +-
 gucharmap/gucharmap-chartable-private.h |   39 +
 gucharmap/gucharmap-chartable.c         | 1905 +++++++++++++++++++++++++++++++
 gucharmap/gucharmap-chartable.h         |   58 +
 gucharmap/gucharmap-table-private.h     |   40 -
 gucharmap/gucharmap-table.c             | 1706 +---------------------------
 gucharmap/gucharmap-table.h             |   43 +-
 gucharmap/gucharmap-window.c            |   23 +-
 8 files changed, 2088 insertions(+), 1728 deletions(-)

commit ee063677628f0dc17ee5ec7566d6c6cb0704321b
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:03:55 2007 +0000

    Replace some marshals with stock gcclosure_marshal_*__*s.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1402 64437878-e825-0410-a939-de567e363a10

 gucharmap/Makefile.am               |   18 ++++++++++++------
 gucharmap/gucharmap-charmap.c       |    2 +-
 gucharmap/gucharmap-marshal.list    |    4 +---
 gucharmap/gucharmap-mini-fontsel.c  |    2 +-
 gucharmap/gucharmap-search-dialog.c |    4 ++--
 5 files changed, 17 insertions(+), 13 deletions(-)

commit f9cc21a62c01cd088bf31ca12406da87c4f34a81
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:03:44 2007 +0000

    Make size-allocate use a class closure.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1401 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-table.c |  111 ++++++++++++++++++++++--------------------
 1 files changed, 58 insertions(+), 53 deletions(-)

commit da107973792c25b18802b2431ae170edf4d704f9
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:03:31 2007 +0000

    Remove the high_bit function, and just use g_bit_nth_msf.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1400 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-table.c |   12 ++----------
 1 files changed, 2 insertions(+), 10 deletions(-)

commit 178a20d4a759d893a3f1d4f67535983dcc63d640
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 12 19:03:16 2007 +0000

    Add a #define for the get_type func.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1399 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-table.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a626a1f2582a2dc32777b0013336ebe831243517
Author: mateju <mateju@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Dec 11 14:59:49 2007 +0000

    Updated Slovenian translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1398 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/sl.po     |  207 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 112 insertions(+), 99 deletions(-)

commit 951ea5c8455fd61817cee3df5bc9b585c05840d1
Author: jorgegonz <jorgegonz@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Dec 9 20:03:04 2007 +0000

    Updated Spanish translation
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1397 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/es.po     |   26 +++++++++++++++++++-------
 2 files changed, 23 insertions(+), 7 deletions(-)

commit bb68c1be075cb98edb16280863a8e0849e2b182f
Author: kmaraas <kmaraas@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Dec 7 08:33:10 2007 +0000

    2007-12-07  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* POTFILES.in: Add two missing files.
    	* nb.po: Update.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1396 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog   |    5 +++++
 po/POTFILES.in |    2 ++
 po/nb.po       |   18 +++++++++++++++---
 3 files changed, 22 insertions(+), 3 deletions(-)

commit 41e58626c17c64c885a89a26880d49c67737d528
Author: kmaraas <kmaraas@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Dec 6 18:35:58 2007 +0000

    2007-12-06  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* nb.po: Updated Norwegian bokmål translation.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1395 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/nb.po     |  186 ++++++++++++++++++++++++++++-----------------------------
 2 files changed, 95 insertions(+), 95 deletions(-)

commit 55651998b1c3c48b585298b62b275d05f6c309c9
Author: jorgegonz <jorgegonz@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Dec 6 15:19:32 2007 +0000

    Updated Spanish translation
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1394 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/es.po     |  199 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 103 insertions(+), 100 deletions(-)

commit 43a5026e4f0f5e0094071e0f0b07cb08f304f519
Author: plaes <plaes@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Dec 6 04:42:22 2007 +0000

    2007-12-06  Priit Laes  <plaes@svn.gnome.org>
    
    	* et.po: Translation updated by Ivar Smolin.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1393 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/et.po     |   28 ++++++++++++++--------------
 2 files changed, 18 insertions(+), 14 deletions(-)

commit 104b5f003efba9449d70c9e3f424ef80239b620f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 5 23:40:40 2007 +0000

    2007-12-06  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap/gucharmap-table.c: (create_glyph_pixmap),
    	(place_zoom_window), (update_zoom_window), (make_zoom_window),
    	(destroy_zoom_window), (button_press_event), (drag_begin),
    	(gucharmap_table_init), (gucharmap_table_zoom_enable):
    	* gucharmap/gucharmap-table.h: Simplify character popup code. Should
    	fix popup sizing bug #501915.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1391 64437878-e825-0410-a939-de567e363a10

 ChangeLog                   |    9 ++++
 gucharmap/gucharmap-table.c |   93 ++++++++++++-------------------------------
 gucharmap/gucharmap-table.h |    2 +-
 3 files changed, 36 insertions(+), 68 deletions(-)

commit 1ba4d9d9f0f601292296c43d0c394c058b58983f
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 5 22:05:29 2007 +0000

    2007-12-05  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap/gucharmap-charmap.h:
    	* gucharmap/gucharmap-table.h:
    	* gucharmap/gucharmap-unicode-info.h: Remove unimplemented functions.
    	Bug #331103.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1390 64437878-e825-0410-a939-de567e363a10

 ChangeLog                          |    7 +++++++
 gucharmap/gucharmap-charmap.h      |    4 +---
 gucharmap/gucharmap-table.h        |    2 --
 gucharmap/gucharmap-unicode-info.h |    1 -
 4 files changed, 8 insertions(+), 6 deletions(-)

commit 297646f06a9cad732eb86f4226147b9d5061830d
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Dec 5 13:48:25 2007 +0000

    2007-12-05  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap/gucharmap-settings.c: (window_state_timeout_cb),
    	(window_state_event_cb), (gucharmap_settings_add_window): Fix the
    	build with --disable-gconf. Bug #501710.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1389 64437878-e825-0410-a939-de567e363a10

 ChangeLog                      |    6 ++++++
 gucharmap/gucharmap-settings.c |   12 ++++++------
 2 files changed, 12 insertions(+), 6 deletions(-)

commit 6432aa345560a18f3e3fbb2d4917bcfd4e3a1eca
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Dec 4 22:47:26 2007 +0000

    2007-12-04  Christian Persch  <chpe@gnome.org>
    
    	* configure.ac:
    	* gucharmap/Makefile.am:
    	* gucharmap/gucharmap-window.c: (help_contents):
    	* gucharmap/main.c: (main): Remove gnome option. Bug #469131,
    	patch by Jani Monoses.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1388 64437878-e825-0410-a939-de567e363a10

 ChangeLog                    |    8 +
 autogen.sh                   |  434 +----------------------------------------
 configure.ac                 |   55 ++----
 gucharmap/Makefile.am        |   11 +-
 gucharmap/gucharmap-table.c  |   16 +--
 gucharmap/gucharmap-window.c |   82 ++++++--
 gucharmap/main.c             |   41 +----
 7 files changed, 113 insertions(+), 534 deletions(-)

commit 0a0f58468832d3532dcec437b81798938104e14e
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Dec 4 22:11:59 2007 +0000

    2007-12-04  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap.schemas.in:
    	* gucharmap/Makefile.am:
    	* gucharmap/gucharmap-block-chapters-model.c:
    	(gucharmap_block_chapters_model_init), (get_codepoint_list),
    	(get_book_codepoint_list), (character_to_iter),
    	(gucharmap_block_chapters_model_class_init),
    	(gucharmap_block_chapters_model_new):
    	* gucharmap/gucharmap-block-chapters-model.h:
    	* gucharmap/gucharmap-block-chapters.c:
    	(gucharmap_block_chapters_init),
    	(gucharmap_block_chapters_class_init),
    	(gucharmap_block_chapters_new):
    	* gucharmap/gucharmap-block-chapters.h:
    	* gucharmap/gucharmap-chapters-model.c:
    	(default_get_codepoint_list), (gucharmap_chapters_model_init),
    	(gucharmap_chapters_model_finalize),
    	(gucharmap_chapters_model_class_init),
    	(gucharmap_chapters_model_get_codepoint_list),
    	(gucharmap_chapters_model_get_book_codepoint_list),
    	(gucharmap_chapters_model_character_to_iter),
    	(gucharmap_chapters_model_get_title),
    	(gucharmap_chapters_model_id_to_iter):
    	* gucharmap/gucharmap-chapters-model.h:
    	* gucharmap/gucharmap-chapters-view.c: (select_iter),
    	(gucharmap_chapters_view_init),
    	(gucharmap_chapters_view_class_init),
    	(gucharmap_chapters_view_new), (gucharmap_chapters_view_set_model),
    	(gucharmap_chapters_view_next), (gucharmap_chapters_view_previous),
    	(gucharmap_chapters_view_get_selected),
    	(gucharmap_chapters_view_set_selected),
    	(gucharmap_chapters_view_select_character),
    	(gucharmap_chapters_view_get_codepoint_list),
    	(gucharmap_chapters_view_get_book_codepoint_list):
    	* gucharmap/gucharmap-chapters-view.h:
    	* gucharmap/gucharmap-chapters.c: (selection_changed),
    	(default_get_codepoint_list), (default_get_book_codepoint_list),
    	(default_go_to_character), (gucharmap_chapters_init),
    	(gucharmap_chapters_constructor),
    	(gucharmap_chapters_set_property), (gucharmap_chapters_class_init),
    	(gucharmap_chapters_new_with_model),
    	(gucharmap_chapters_set_model), (gucharmap_chapters_get_model),
    	(gucharmap_chapters_next), (gucharmap_chapters_previous),
    	(gucharmap_chapter_get_string), (gucharmap_chapter_set_string):
    	* gucharmap/gucharmap-chapters.h:
    	* gucharmap/gucharmap-charmap.c: (make_chartable_pane),
    	(gucharmap_charmap_new), (gucharmap_charmap_set_chapters):
    	* gucharmap/gucharmap-script-chapters-model.c:
    	(gucharmap_script_chapters_model_init), (get_codepoint_list),
    	(append_script), (get_book_codepoint_list), (character_to_iter),
    	(gucharmap_script_chapters_model_class_init),
    	(gucharmap_script_chapters_model_new):
    	* gucharmap/gucharmap-script-chapters-model.h:
    	* gucharmap/gucharmap-script-chapters.c:
    	(gucharmap_script_chapters_init),
    	(gucharmap_script_chapters_class_init),
    	(gucharmap_script_chapters_new):
    	* gucharmap/gucharmap-script-chapters.h:
    	* gucharmap/gucharmap-settings.c: (get_first_non_underscore_char),
    	(get_default_last_char), (gucharmap_settings_get_chapters_mode),
    	(gucharmap_settings_set_chapters_mode),
    	(gucharmap_settings_get_last_char):
    	* gucharmap/gucharmap-settings.h:
    	* gucharmap/gucharmap-table.c: (gucharmap_table_finalize),
    	(gucharmap_table_class_init),
    	(gucharmap_table_get_active_character),
    	(gucharmap_table_set_codepoint_list):
    	* gucharmap/gucharmap-window.c: (view_by): Refactoring: move common
    	code from gucharmap-{script,block}-chapters to
    	gucharmap-chapters-model/gucharmap-chapters-view. Persist the last
    	seen character, and keep it when switching between views.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1387 64437878-e825-0410-a939-de567e363a10

 ChangeLog |   73 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 73 insertions(+), 0 deletions(-)

commit 674d3323382ccf7d53ee774579f48d5a481bf2ab
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Dec 4 22:11:19 2007 +0000

    2007-12-04  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap.schemas.in:
    	* gucharmap/Makefile.am:
    	* gucharmap/gucharmap-block-chapters-model.c:
    	(gucharmap_block_chapters_model_init), (get_codepoint_list),
    	(get_book_codepoint_list), (character_to_iter),
    	(gucharmap_block_chapters_model_class_init),
    	(gucharmap_block_chapters_model_new):
    	* gucharmap/gucharmap-block-chapters-model.h:
    	* gucharmap/gucharmap-block-chapters.c:
    	(gucharmap_block_chapters_init),
    	(gucharmap_block_chapters_class_init),
    	(gucharmap_block_chapters_new):
    	* gucharmap/gucharmap-block-chapters.h:
    	* gucharmap/gucharmap-chapters-model.c:
    	(default_get_codepoint_list), (gucharmap_chapters_model_init),
    	(gucharmap_chapters_model_finalize),
    	(gucharmap_chapters_model_class_init),
    	(gucharmap_chapters_model_get_codepoint_list),
    	(gucharmap_chapters_model_get_book_codepoint_list),
    	(gucharmap_chapters_model_character_to_iter),
    	(gucharmap_chapters_model_get_title),
    	(gucharmap_chapters_model_id_to_iter):
    	* gucharmap/gucharmap-chapters-model.h:
    	* gucharmap/gucharmap-chapters-view.c: (select_iter),
    	(gucharmap_chapters_view_init),
    	(gucharmap_chapters_view_class_init),
    	(gucharmap_chapters_view_new), (gucharmap_chapters_view_set_model),
    	(gucharmap_chapters_view_next), (gucharmap_chapters_view_previous),
    	(gucharmap_chapters_view_get_selected),
    	(gucharmap_chapters_view_set_selected),
    	(gucharmap_chapters_view_select_character),
    	(gucharmap_chapters_view_get_codepoint_list),
    	(gucharmap_chapters_view_get_book_codepoint_list):
    	* gucharmap/gucharmap-chapters-view.h:
    	* gucharmap/gucharmap-chapters.c: (selection_changed),
    	(default_get_codepoint_list), (default_get_book_codepoint_list),
    	(default_go_to_character), (gucharmap_chapters_init),
    	(gucharmap_chapters_constructor),
    	(gucharmap_chapters_set_property), (gucharmap_chapters_class_init),
    	(gucharmap_chapters_new_with_model),
    	(gucharmap_chapters_set_model), (gucharmap_chapters_get_model),
    	(gucharmap_chapters_next), (gucharmap_chapters_previous),
    	(gucharmap_chapter_get_string), (gucharmap_chapter_set_string):
    	* gucharmap/gucharmap-chapters.h:
    	* gucharmap/gucharmap-charmap.c: (make_chartable_pane),
    	(gucharmap_charmap_new), (gucharmap_charmap_set_chapters):
    	* gucharmap/gucharmap-script-chapters-model.c:
    	(gucharmap_script_chapters_model_init), (get_codepoint_list),
    	(append_script), (get_book_codepoint_list), (character_to_iter),
    	(gucharmap_script_chapters_model_class_init),
    	(gucharmap_script_chapters_model_new):
    	* gucharmap/gucharmap-script-chapters-model.h:
    	* gucharmap/gucharmap-script-chapters.c:
    	(gucharmap_script_chapters_init),
    	(gucharmap_script_chapters_class_init),
    	(gucharmap_script_chapters_new):
    	* gucharmap/gucharmap-script-chapters.h:
    	* gucharmap/gucharmap-settings.c: (get_first_non_underscore_char),
    	(get_default_last_char), (gucharmap_settings_get_chapters_mode),
    	(gucharmap_settings_set_chapters_mode),
    	(gucharmap_settings_get_last_char):
    	* gucharmap/gucharmap-settings.h:
    	* gucharmap/gucharmap-table.c: (gucharmap_table_finalize),
    	(gucharmap_table_class_init),
    	(gucharmap_table_get_active_character),
    	(gucharmap_table_set_codepoint_list):
    	* gucharmap/gucharmap-window.c: (view_by): Refactoring: move common
    	code from gucharmap-{script,block}-chapters to
    	gucharmap-chapters-model/gucharmap-chapters-view. Persist the last
    	seen character, and keep it when switching between views.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1386 64437878-e825-0410-a939-de567e363a10

 gucharmap.schemas.in                        |   25 +--
 gucharmap/Makefile.am                       |   85 ++++++--
 gucharmap/gucharmap-block-chapters-model.c  |  142 ++++++++++++
 gucharmap/gucharmap-block-chapters-model.h  |   60 +++++
 gucharmap/gucharmap-block-chapters.c        |  244 ++-------------------
 gucharmap/gucharmap-block-chapters.h        |    1 +
 gucharmap/gucharmap-chapters-model.c        |  152 +++++++++++++
 gucharmap/gucharmap-chapters-model.h        |   93 ++++++++
 gucharmap/gucharmap-chapters-view.c         |  247 +++++++++++++++++++++
 gucharmap/gucharmap-chapters-view.h         |   79 +++++++
 gucharmap/gucharmap-chapters.c              |  229 ++++++++++++--------
 gucharmap/gucharmap-chapters.h              |   17 +-
 gucharmap/gucharmap-charmap.c               |   48 +----
 gucharmap/gucharmap-script-chapters-model.c |  144 ++++++++++++
 gucharmap/gucharmap-script-chapters-model.h |   58 +++++
 gucharmap/gucharmap-script-chapters.c       |  315 ++-------------------------
 gucharmap/gucharmap-script-chapters.h       |    1 +
 gucharmap/gucharmap-settings.c              |   96 +++-----
 gucharmap/gucharmap-settings.h              |    3 +-
 gucharmap/gucharmap-table.c                 |   62 ++----
 gucharmap/gucharmap-window.c                |    6 +
 21 files changed, 1304 insertions(+), 803 deletions(-)

commit cd6dcf797ba19da20bd13b36467af1b6002b1ba9
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Dec 4 00:31:46 2007 +0000

    Post-release version bump
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1385 64437878-e825-0410-a939-de567e363a10

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 41706bf4032d9c562509a92b07592e0dabb843f7
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Dec 4 00:31:10 2007 +0000

    2007-12-04  Christian Persch  <chpe@gnome.org>
    
    	=== Release 2.21.3 ===
    
    	* configure.ac:
    	* po/POTFILES.in:
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1383 64437878-e825-0410-a939-de567e363a10

 ChangeLog      |    7 +++++++
 configure.ac   |    2 +-
 po/POTFILES.in |    2 ++
 3 files changed, 10 insertions(+), 1 deletions(-)

commit e7e29ad1f5b7f405c98150bbba726bdfb3094c82
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Dec 3 22:40:55 2007 +0000

    2007-12-03  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap.schemas.in:
    	* gucharmap/gucharmap-settings.c: (gucharmap_settings_initialize),
    	(gucharmap_settings_shutdown), (gucharmap_settings_initialized),
    	(gucharmap_settings_get_chapter), (gucharmap_settings_set_chapter),
    	(gucharmap_settings_get_chapters_mode),
    	(gucharmap_settings_set_chapters_mode),
    	(gucharmap_settings_get_font), (gucharmap_settings_set_font),
    	(gucharmap_settings_get_last_char),
    	(gucharmap_settings_set_last_char),
    	(gucharmap_settings_get_snap_pow2),
    	(gucharmap_settings_set_snap_pow2), (window_state_timeout_cb),
    	(free_window_state), (window_configure_event_cb),
    	(window_state_event_cb), (gucharmap_settings_add_window):
    	* gucharmap/gucharmap-settings.h:
    	* gucharmap/gucharmap-window.c: (gucharmap_window_init):
    	* gucharmap/main.c: (main): Cleanup settings code, and make window
    	state persistence not hammer gconf while resizing. Bug #501383.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1382 64437878-e825-0410-a939-de567e363a10

 ChangeLog                      |   20 +++
 gucharmap.schemas.in           |   12 ++
 gucharmap/gucharmap-settings.c |  262 +++++++++++++++++++---------------------
 gucharmap/gucharmap-settings.h |    8 +-
 gucharmap/gucharmap-window.c   |   36 +------
 gucharmap/main.c               |   15 +--
 6 files changed, 161 insertions(+), 192 deletions(-)

commit 237b0b4773cbb1526a91e9bd16f531fdf7a7b788
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Dec 3 22:07:53 2007 +0000

    	* Makefile.am:
    	* gucharmap.pc.in:
    	* gucharmap/Makefile.am:
    	* gucharmap/gucharmap-block-chapters.c: (selection_changed),
    	(gucharmap_block_chapters_settings_init),
    	(gucharmap_block_chapters_init):
    	* gucharmap/gucharmap-chapters.c: (gucharmap_chapter_get_string),
    	(gucharmap_chapter_set_string):
    	* gucharmap/gucharmap-chapters.h:
    	* gucharmap/gucharmap-charmap.c: (gucharmap_active_char_save),
    	(active_char_set), (gucharmap_charmap_new):
    	* gucharmap/gucharmap-script-chapters.c: (selection_changed),
    	(gucharmap_script_chapters_settings_init),
    	(gucharmap_script_chapters_init):
    	* gucharmap/gucharmap-table.c: (draw_chartable_from_scratch):
    	* gucharmap/gucharmap-window.c: (snap_cols_pow2), (make_menu),
    	(fontsel_changed), (gucharmap_window_state_changed),
    	(gucharmap_window_size_changed), (gucharmap_window_init):
    	* gucharmap/main.c: (main): Remember the settings. Bug #140414,
    	patch by Jason Allen and Jared Moore.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1381 64437878-e825-0410-a939-de567e363a10

 gucharmap.schemas.in |   99 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 99 insertions(+), 0 deletions(-)

commit e4ce19f0c3d8653651b9a9c247f582d6555270f9
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Dec 3 22:05:42 2007 +0000

    2007-12-03  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap/gucharmap-mini-fontsel.c: (fill_font_families_combo),
    	(update_font_familiy_combo), (family_changed),
    	(gucharmap_mini_font_selection_init),
    	(gucharmap_mini_font_selection_get_type),
    	(gucharmap_mini_font_selection_set_font_name):
    	* gucharmap/gucharmap-mini-fontsel.h: Port to GtkComboBox. Bug
    	#454250.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1380 64437878-e825-0410-a939-de567e363a10

 ChangeLog                          |   10 +++
 gucharmap/gucharmap-mini-fontsel.c |  129 +++++++++++++++++++++--------------
 gucharmap/gucharmap-mini-fontsel.h |    1 +
 3 files changed, 88 insertions(+), 52 deletions(-)

commit 51a3769568c8eb2b0a2e12e80711b05262dbe55e
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Dec 3 22:02:56 2007 +0000

    2007-12-03  Christian Persch  <chpe@gnome.org>
    
    	* gucharmap/gucharmap-window.c: (make_menu): Add mnemonic. Bug
    	#466678, patch by Patrick Wade.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1379 64437878-e825-0410-a939-de567e363a10

 ChangeLog                    |    5 +++++
 gucharmap/gucharmap-window.c |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 5b62b8905a1cd4795ba30ca31b18d362d3a14e70
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Dec 3 22:00:42 2007 +0000

    2007-12-03  Christian Persch  <chpe@gnome.org>
    
    	* configure.ac: Bump gtk+ dependency to 2.12.0.
    	* gucharmap/gucharmap-window.c: (make_text_to_copy): Port to new
    	tooltips API. Bug #459279.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1378 64437878-e825-0410-a939-de567e363a10

 ChangeLog                    |    6 ++++++
 configure.ac                 |    7 ++++++-
 gucharmap/gucharmap-window.c |    5 +----
 3 files changed, 13 insertions(+), 5 deletions(-)

commit 985b3534ab96ebc7e6156d8d0f0ea58ee0a1a506
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Dec 3 21:56:16 2007 +0000

    2007-12-03  Christian Persch  <chpe@gnome.org>
    
    	* configure.ac: Bump version after branching.
    
    	* Makefile.am:
    	* gucharmap.pc.in:
    	* gucharmap/Makefile.am:
    	* gucharmap/gucharmap-block-chapters.c: (selection_changed),
    	(gucharmap_block_chapters_settings_init),
    	(gucharmap_block_chapters_init):
    	* gucharmap/gucharmap-chapters.c: (gucharmap_chapter_get_string),
    	(gucharmap_chapter_set_string):
    	* gucharmap/gucharmap-chapters.h:
    	* gucharmap/gucharmap-charmap.c: (gucharmap_active_char_save),
    	(active_char_set), (gucharmap_charmap_new):
    	* gucharmap/gucharmap-script-chapters.c: (selection_changed),
    	(gucharmap_script_chapters_settings_init),
    	(gucharmap_script_chapters_init):
    	* gucharmap/gucharmap-table.c: (draw_chartable_from_scratch):
    	* gucharmap/gucharmap-window.c: (snap_cols_pow2), (make_menu),
    	(fontsel_changed), (gucharmap_window_state_changed),
    	(gucharmap_window_size_changed), (gucharmap_window_init):
    	* gucharmap/main.c: (main): Remember the settings. Bug #140414,
    	patch by Jason Allen and Jared Moore.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1377 64437878-e825-0410-a939-de567e363a10

 gucharmap/gucharmap-settings.c |  460 ++++++++++++++++++++++++++++++++++++++++
 gucharmap/gucharmap-settings.h |   47 ++++
 2 files changed, 507 insertions(+), 0 deletions(-)

commit eda609d15e69fd5b9466f9808591fe4c52698c33
Author: chpe <chpe@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Dec 3 21:42:48 2007 +0000

    2007-12-03  Christian Persch  <chpe@gnome.org>
    
    	* configure.ac: Bump version after branching.
    
    	* Makefile.am:
    	* gucharmap.pc.in:
    	* gucharmap/Makefile.am:
    	* gucharmap/gucharmap-block-chapters.c: (selection_changed),
    	(gucharmap_block_chapters_settings_init),
    	(gucharmap_block_chapters_init):
    	* gucharmap/gucharmap-chapters.c: (gucharmap_chapter_get_string),
    	(gucharmap_chapter_set_string):
    	* gucharmap/gucharmap-chapters.h:
    	* gucharmap/gucharmap-charmap.c: (gucharmap_active_char_save),
    	(active_char_set), (gucharmap_charmap_new):
    	* gucharmap/gucharmap-script-chapters.c: (selection_changed),
    	(gucharmap_script_chapters_settings_init),
    	(gucharmap_script_chapters_init):
    	* gucharmap/gucharmap-table.c: (draw_chartable_from_scratch):
    	* gucharmap/gucharmap-window.c: (snap_cols_pow2), (make_menu),
    	(fontsel_changed), (gucharmap_window_state_changed),
    	(gucharmap_window_size_changed), (gucharmap_window_init):
    	* gucharmap/main.c: (main): Remember the settings. Bug #140414,
    	patch by Jason Allen and Jared Moore.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1376 64437878-e825-0410-a939-de567e363a10

 ChangeLog                             |   25 +++++++++++++
 Makefile.am                           |   19 +++++++++-
 configure.ac                          |   31 +++++++++++++++--
 gucharmap.pc.in                       |    2 +-
 gucharmap/Makefile.am                 |    6 ++-
 gucharmap/gucharmap-block-chapters.c  |   28 +++++++++++++++
 gucharmap/gucharmap-chapters.c        |   62 +++++++++++++++++++++++++++++++++
 gucharmap/gucharmap-chapters.h        |   10 +++++
 gucharmap/gucharmap-charmap.c         |   16 ++++++++
 gucharmap/gucharmap-script-chapters.c |   26 ++++++++++++++
 gucharmap/gucharmap-table.c           |    5 +++
 gucharmap/gucharmap-window.c          |   59 ++++++++++++++++++++++++-------
 gucharmap/main.c                      |   34 +++++++++++++++++-
 13 files changed, 301 insertions(+), 22 deletions(-)

commit 281556850c0c9c1059186eba6af1703e0bbc6156
Author: ymarcheg <ymarcheg@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Nov 20 20:17:31 2007 +0000

    Updated Occitan translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1374 64437878-e825-0410-a939-de567e363a10

 help/oc/oc.po |   43 ++++++++++++++++++++-----------------------
 po/oc.po      |   13 ++++++++-----
 2 files changed, 28 insertions(+), 28 deletions(-)

commit 923747589674949efb438c1c9d48d783daa67829
Author: mateju <mateju@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Nov 14 14:28:12 2007 +0000

    Updated Slovenian translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1373 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/sl.po     |   26 +++++++++++++-------------
 2 files changed, 17 insertions(+), 13 deletions(-)

commit 6d864c46f4e36b5cf16ff9a3a35685e8b08bcbc0
Author: cwryu <cwryu@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Oct 24 08:38:56 2007 +0000

    Migrated Korean manual translation to gnome-doc-utils and update.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1372 64437878-e825-0410-a939-de567e363a10

 ChangeLog                            |    5 +
 configure.ac                         |    1 -
 help/ChangeLog                       |   11 +
 help/Makefile.am                     |    4 +-
 help/ko/Makefile.am                  |    8 -
 help/ko/figures/gucharmap_window.png |  Bin 29977 -> 0 bytes
 help/ko/gucharmap-ko.omf             |   30 --
 help/ko/gucharmap.xml                |  756 ------------------------------
 help/ko/ko.po                        |  837 ++++++++++++++++++++++++++++++++++
 help/ko/legal.xml                    |   53 ---
 10 files changed, 855 insertions(+), 850 deletions(-)

commit 3397c0e1cee85eb4d5a1d90736b1966ba636b43d
Author: cwryu <cwryu@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Oct 24 08:35:52 2007 +0000

    Updated Korean translation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1371 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/ko.po     |   50 +++++++++++++++++++++++++-------------------------
 2 files changed, 29 insertions(+), 25 deletions(-)

commit 29e78a222434ea5332be61871b52b5e665b8cc5c
Author: djihed <djihed@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Oct 23 20:55:45 2007 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1370 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 1610ca758ad99d581dd236ec391df3dfe7bfb9da
Author: djihed <djihed@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Oct 21 19:20:17 2007 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1369 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit eb6bba124a80aa65e1a8b0bef71f9e054782371a
Author: djihed <djihed@64437878-e825-0410-a939-de567e363a10>
Date:   Sun Oct 21 16:44:59 2007 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1368 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit f52bbbbababb14405859aff2d521e27734051471
Author: dnylande <dnylande@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Oct 16 22:23:08 2007 +0000

    sv.po: Updated Swedish translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1367 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/sv.po     |   45 +++++++++++++++++++++++----------------------
 2 files changed, 27 insertions(+), 22 deletions(-)

commit 5d2dec255c9521ff92dd290c6d4273298e122443
Author: ymarcheg <ymarcheg@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Oct 3 16:30:48 2007 +0000

    Updated Occitan translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1366 64437878-e825-0410-a939-de567e363a10

 help/oc/oc.po |    2 +-
 po/oc.po      |    4 +---
 2 files changed, 2 insertions(+), 4 deletions(-)

commit fa80ec18ee4888819d0500aca6e8cdaf6b89568f
Author: algol <algol@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Oct 2 21:14:56 2007 +0000

    Updated Italian translation.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1365 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/it.po     |  455 +++++++++++++++++++++++++++++++++-------------------------
 2 files changed, 260 insertions(+), 199 deletions(-)

commit bf8d835610083eb31fb451531465590f35710a17
Author: plaes <plaes@64437878-e825-0410-a939-de567e363a10>
Date:   Tue Sep 25 05:55:30 2007 +0000

    2007-09-25  Priit Laes  <plaes@svn.gnome.org>
    
    	* et.po: Translation update by Ivar Smolin.
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1364 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 ++++
 po/et.po     |    8 ++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit a60618e14be0c184aec5d0579d0dff9c3e3631af
Author: ovitters <ovitters@64437878-e825-0410-a939-de567e363a10>
Date:   Fri Sep 21 14:21:57 2007 +0000

    Add empty line between maintainers
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1363 64437878-e825-0410-a939-de567e363a10

 MAINTAINERS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 9f54d3db2989746ef4d4cabd0ef3e75cd83508ee
Author: behdad <behdad@64437878-e825-0410-a939-de567e363a10>
Date:   Mon Sep 17 23:01:22 2007 +0000

    2007-09-17  Behdad Esfahbod  <behdad@gnome.org>
    
            Released 1.10.1.
    
            * configure.ac: Bump version to 1.10.1 and  libtool version to 6:2:0.
    
            * NEWS: Updated.
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1361 64437878-e825-0410-a939-de567e363a10

 ChangeLog    |    8 ++++++++
 NEWS         |   12 ++++++++++++
 configure.ac |    2 +-
 3 files changed, 21 insertions(+), 1 deletions(-)

commit ced6bdf2409c35bd524a1dcee84308328b172af3
Author: djihed <djihed@64437878-e825-0410-a939-de567e363a10>
Date:   Thu Sep 13 22:44:49 2007 +0000

    Updated Arabic Translation by Khaled Hosny.
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1360 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog |    4 +
 po/ar.po     |  203 +++++++++++++++++++++++++++------------------------------
 2 files changed, 100 insertions(+), 107 deletions(-)

commit 8085bd57ae48e93b0824d3436cbe0c3245b0fdaf
Author: grakic <grakic@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Sep 12 10:31:44 2007 +0000

    Updated Serbian translation
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1359 64437878-e825-0410-a939-de567e363a10

 po/ChangeLog  |    4 +
 po/sr.po      |  488 +++++++++++++++++++++++++++++++-------------------------
 po/sr@Latn.po |  492 +++++++++++++++++++++++++++++++--------------------------
 3 files changed, 544 insertions(+), 440 deletions(-)

commit 3dfa7a670c51c4791c358ee494374383b98c2c82
Author: behdad <behdad@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Sep 5 06:58:05 2007 +0000

    2007-09-05  Behdad Esfahbod  <behdad@gnome.org>
    
            Bug 311912 – Should come up showing the unicode block for the default
            language
            Patch from Federico Mena Quintero
    
            * gucharmap/gucharmap-script-chapters.c
            (get_first_non_underscore_char), (select_default_script),
            (tree_view_map_event_cb), (queue_select_default_script),
            (gucharmap_script_chapters_init): Jump to default script for users
            selected languge (LC_MESSAGES).  We do this by getting translation for
            "_File" and jumping to the block containing its first character.
            We delay this until the tree view is mapped so that the tree will
            scroll to the selected row in addition to just selecting it.
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1358 64437878-e825-0410-a939-de567e363a10

 ChangeLog                             |   15 ++++++++
 gucharmap/gucharmap-script-chapters.c |   64 +++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+), 0 deletions(-)

commit 3a8b956b2fc424a7c4cb8d8e6f821485073b33f8
Author: behdad <behdad@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Sep 5 06:03:32 2007 +0000

    2007-09-05  Behdad Esfahbod  <behdad@gnome.org>
    
            Bug 466213 – No branch for gnome-2-18
            Revert Bug 459279 – port to new tooltips API
    
            * configure.ac: Require gtk 2.6.0 again.
            * gucharmap/gucharmap-window.c (make_text_to_copy):
            Revert port to new tooltips API, so we build with stable Gtk+.
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1357 64437878-e825-0410-a939-de567e363a10

 ChangeLog                    |    9 +++++++++
 configure.ac                 |    2 +-
 gucharmap/gucharmap-window.c |    5 ++++-
 3 files changed, 14 insertions(+), 2 deletions(-)

commit b518f3cca256932eab93558d48c6614fa72a1c98
Author: behdad <behdad@64437878-e825-0410-a939-de567e363a10>
Date:   Wed Sep 5 05:53:42 2007 +0000

    2007-09-05  Behdad Esfahbod  <behdad@gnome.org>
    
            Bug 357471 – chartable::finalize()
            Patch from paolo borelli
    
            * gucharmap/gucharmap-table.c (gucharmap_table_finalize),
            (gucharmap_table_class_init), (motion_notify_event),
            (gucharmap_table_init):
            * gucharmap/gucharmap-table.h:
            Implement chartable::finalize() so that it frees some stuff and chains
            up to the parent finalize(). Also avoid leaking the target_list each time
            something is drag&dropped.
    
    
    
    git-svn-id: svn+ssh://svn.gnome.org/svn/gucharmap/trunk@1356 64437878-e825-0410-a939-de567e363a10

 ChangeLog                   |   13 +++++++++++++
 gucharmap/gucharmap-table.c |   28 +++++++++++++++++++++++++---
 gucharmap/gucharmap-table.h |    2 ++
 3 files changed, 40 insertions(+), 3 deletions(-)

commit 7765b496d3c9fb19fd0884bba465a2f521262124
Author: ymarcheg <ymarcheg@64437878-e825-0410-a939-de567e363a10>
Date:   Sat Sep 1 20:18:27 2007 +0000

    Updated Occitan translation
    
